﻿<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:include href="system/preferences.xsl"/>
<xsl:include href="system/templates.xsl"/>
<xsl:include href="options.xsl"/>
<xsl:include href="options-theme.xsl"/>

<xsl:variable name="lcletters">abcdefghijklmnopqrstuvwxyzàáâãäåæçèéêëìíîïðñòóôõöøœþùúûüýÿ</xsl:variable>
<xsl:variable name="ucletters">ABCDEFGHIJKLMNOPQRSTUVWXYZÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖØŒÞÙÚÛÜÝŸ</xsl:variable>

<xsl:template match="/">
<xsl:value-of select="'&lt;'" disable-output-escaping="yes"/>!-- Skin Version <xsl:value-of select="$version"/> --<xsl:value-of select="'&gt;'" disable-output-escaping="yes"/>
<html>
<head>
<link rel="StyleSheet" type="text/css" href="theme.css"></link>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
<title><xsl:value-of select="$l0023"/></title>

	<style>
	.bold { font-weight : bold; }
	.header { font-size: 27pt; font-weight : bold; }
	.paneltitle { font-size: 25pt; }
	.info { font-size: 15pt; }
	body {font-family: Arial;}
	a:link {text-decoration: none;}
	a:visited {text-decoration: none;}
	</style>
</head>
<body bgproperties="fixed" background="pictures/diffuse_background.png" FOCUSCOLOR="transparent" topmargin="38" leftmargin="92" width="1095">
	<xsl:attribute name="focustext"><xsl:value-of select="$FocusTextColor"/></xsl:attribute>

<table border="0" cellpadding="0" cellspacing="0">
	<tr>
		<td valign="top" height="78" class="text header">
			<xsl:if test="$mjb.internet.plugin='com.moviejukebox.plugin.SratimPlugin'">
				<xsl:attribute name="align">right</xsl:attribute>
			</xsl:if>
			<xsl:value-of select="translate($l0023,$lcletters,$ucletters)"/>
		</td>
	</tr>
	<tr>
		<td>

<table border="0" cellspacing="0" cellpadding="0"><tr valign="top"><td>

  <xsl:for-each select="library/category">
	
	<table border="0" cellspacing="0" cellpadding="0">
	<tr>
		<td width="10" height="10" background="pictures/categories/cat-tl.png"/>
		<td background="pictures/categories/cat-t.png"/>
		<td width="10" background="pictures/categories/cat-tr.png"/>
	</tr>
	<tr>
		<td background="pictures/categories/cat-l.png"/>
		<td class="text info">
			<span class="text paneltitle">
				<xsl:if test="@name='Other'"><xsl:value-of select="$l0006"/></xsl:if>
				<xsl:if test="@name='Genres'"><xsl:value-of select="$l0007"/></xsl:if>
				<xsl:if test="@name='Title'"><xsl:value-of select="$l0008"/></xsl:if>
				<xsl:if test="@name='Rating'"><xsl:value-of select="$l0009"/></xsl:if>
				<xsl:if test="@name='Year'"><xsl:value-of select="$l0010"/></xsl:if>
				<xsl:if test="@name='Library'"><xsl:value-of select="$l0011"/></xsl:if>
				<xsl:if test="@name='Cast'"><xsl:value-of select="$l0012"/></xsl:if>
				<xsl:if test="@name='Director'"><xsl:value-of select="$l0013"/></xsl:if>
				<xsl:if test="@name='Writer'"><xsl:value-of select="$l0014"/></xsl:if>
				<xsl:if test="@name='Country'"><xsl:value-of select="$l0015"/></xsl:if>
				<xsl:if test="@name='Set'"><xsl:value-of select="$l0005"/></xsl:if>
				<xsl:text> </xsl:text>
			</span>
			<xsl:for-each select="index">
				<a class="flagtext2">
					<xsl:attribute name="href"><xsl:value-of select="."/>.html</xsl:attribute>
					<xsl:value-of select="@name"/>
				</a>
				<xsl:if test="position()!=last()"><xsl:text> / </xsl:text></xsl:if>
			</xsl:for-each>
		</td>
		<td background="pictures/categories/cat-r.png"/>
	</tr>
	<tr>
		<td height="10" background="pictures/categories/cat-bl.png"/>
		<td background="pictures/categories/cat-b.png"/>
		<td background="pictures/categories/cat-br.png"/>
	</tr>
	</table>
	
	<table border="0" cellspacing="0" cellpadding="0"><tr><td height="10"/></tr></table>
  </xsl:for-each>

  </td></tr></table>
  
  </td></tr></table>

<xsl:call-template name="shortcuts"/>

</body>
</html>
</xsl:template>
</xsl:stylesheet>
