﻿<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" omit-xml-declaration="yes"/>
<xsl:template name="detail-tv">

<xsl:value-of select="'&lt;'" disable-output-escaping="yes"/>!-- Skin Version <xsl:value-of select="$version"/> --<xsl:value-of select="'&gt;'" disable-output-escaping="yes"/>
<html>
<head>
<title><xsl:value-of select="title"/></title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
	<style>
	<xsl:if test="$ReverseEpisodeList='false'">
		<xsl:for-each select="files/file">
			#videoimage<xsl:value-of select="position()"/> { visibility: hidden; position: absolute; top: 206px; left: 186px; margin-left:92px;margin-top:38px;}
		</xsl:for-each>
		.videoimageframe {top: 194px; left: 174px;margin-left:92px;margin-top:38px;}
	</xsl:if>
	<xsl:if test="$ReverseEpisodeList='true'">
		<xsl:for-each select="files/file">
			#videoimage<xsl:value-of select="position()"/> { visibility: hidden; position: absolute; top: 266px; left: 186px; margin-left:92px;margin-top:38px;}
		</xsl:for-each>
		.videoimageframe {top: 254px; left: 174px;margin-left:92px;margin-top:38px;}
	</xsl:if>
	.abs{position: absolute;}
	.bold { font-weight : bold; }
	.focusedtitle { font-size: 23pt;}
	.unfocusedtitles { font-size: 17pt;}
	.episodeplot { font-size: 14pt;}
	.pixel {top: 647px; left: 1095;}
	.header { font-size: 27pt; font-weight : bold; }
	.smallinfo { font-size: 13pt; }
	.info { font-size: 15pt; }
	.paneltitle { font-size: 25pt; }
	<xsl:if test="$ReverseEpisodeList='false'">
		.tvcompanion {top: 284px; left: 378px;margin-left:92px;margin-top:38px;}
	</xsl:if>
	<xsl:if test="$ReverseEpisodeList='true'">
		.tvcompanion {top: 344px; left: 378px;margin-left:92px;margin-top:38px;}
	</xsl:if>
	a:link {text-decoration: none;}
	a:visited {text-decoration: none;}
	body {font-family: Arial;margin-left:92px;margin-top:38px;}
	</style>
<link rel="StyleSheet" type="text/css" href="theme.css"/>
<link rel="StyleSheet" type="text/css" href="no_nmt.css" media="screen"></link>
<script type="text/javascript">
//
  var first = 1;
  var second = 1;
  var thirdtitle = 1;
  var thirdplot = 1;
  var fourth = 1;
  var fifth = 1;
  var sixth = 1;
  var play = 1;
  function bind() {
    if ( first == 1 ) first = document.getElementById('first').firstChild;
    if ( second == 1 ) second = document.getElementById('second').firstChild;
    if ( thirdtitle == 1 ) thirdtitle = document.getElementById('thirdtitle').firstChild;
    if ( thirdplot == 1 ) thirdplot = document.getElementById('thirdplot').firstChild;
    if ( fourth == 1 ) fourth = document.getElementById('fourth').firstChild;
    if ( fifth == 1 ) fifth = document.getElementById('fifth').firstChild;
    if ( sixth == 1 ) sixth = document.getElementById('sixth').firstChild;
    if ( play == 1 ) play = document.getElementById('play');
  }
  function show(x, jsp) {
    bind();
    first.nodeValue = document.getElementById('first'+x).firstChild.nodeValue;
    second.nodeValue = document.getElementById('second'+x).firstChild.nodeValue;
    thirdtitle.nodeValue = document.getElementById('thirdtitle'+x).firstChild.nodeValue;
    thirdplot.nodeValue = document.getElementById('thirdplot'+x).firstChild.nodeValue;
    fourth.nodeValue = document.getElementById('fourth'+x).firstChild.nodeValue;
    fifth.nodeValue = document.getElementById('fifth'+x).firstChild.nodeValue;
    sixth.nodeValue = document.getElementById('sixth'+x).firstChild.nodeValue;
    play.setAttribute('href', jsp);
    play.setAttribute('tvid', 'PLAY');
	document.styleSheets[0].cssRules[(x - 1)].style.visibility = "visible"
  }
  function hide(x) {
    bind();
    first.nodeValue = "&#160;";
    second.nodeValue = "&#160;";
    thirdtitle.nodeValue = "&#160;";
    thirdplot.nodeValue = "&#160;";
    fourth.nodeValue = "&#160;";
    fifth.nodeValue = "&#160;";
    sixth.nodeValue = "&#160;";
	play.setAttribute('tvid', '#');
	document.styleSheets[0].cssRules[(x - 1)].style.visibility = "hidden"
  }
//
</script>
</head>
<body focuscolor="transparent" bgproperties="fixed">
	<xsl:variable name="loadfirst">
		<xsl:if test="$ReverseEpisodeList='false'">1</xsl:if>
		<xsl:if test="$ReverseEpisodeList='true'"><xsl:value-of select="count(files/file/filePlot)"/></xsl:if>
	</xsl:variable>
	<xsl:attribute name="onloadset"><xsl:value-of select="$loadfirst"/></xsl:attribute>
	<xsl:attribute name="focustext"><xsl:value-of select="$FocusTextColor"/></xsl:attribute>
	<xsl:attribute name="background">
		<xsl:if test="fanartFile!='UNKNOWN'"><xsl:value-of select="fanartFile"/></xsl:if>
		<xsl:if test="fanartFile='UNKNOWN'">pictures/diffuse_background.png</xsl:if>
	</xsl:attribute>

<a>
	<xsl:attribute name="href"></xsl:attribute>
	<xsl:attribute name="tvid">#</xsl:attribute>
	<xsl:attribute name="id">play</xsl:attribute> 
	<xsl:attribute name="vod">playlist</xsl:attribute>
</a>

<xsl:variable name="companioncontent">
	<xsl:if test="year/@index!='' or genres[@index!=''] or director/@index!='' or country/@index!='' or cast/actor[@index!=''] or count(files/file)!=1 or count(extras)!=0">true</xsl:if>
</xsl:variable>

<xsl:if test="$Companion='false'"><xsl:call-template name="details-tv"/></xsl:if>
<xsl:if test="$Companion='true' and $companioncontent='true'">
	<table border="0" cellspacing="0" cellpadding="0" width="2560">
		<tr>
			<td><xsl:call-template name="details-tv"/></td>
			<td width="1280" align="center"><xsl:call-template name="companion"/></td>
		</tr>
	</table>
	<a href="#companion" name="companionmessage" onfocus="show(1000)" onblur="hide(1000)">
		<xsl:attribute name="onkeydownset"><xsl:value-of select="$loadfirst"/></xsl:attribute>
		<xsl:attribute name="onkeyupset"><xsl:value-of select="$loadfirst"/></xsl:attribute>
		<xsl:attribute name="onkeyrightset"><xsl:value-of select="$loadfirst"/></xsl:attribute>
		<xsl:attribute name="onkeyleftset"><xsl:value-of select="$loadfirst"/></xsl:attribute>
		<img src="pictures/1x1.png"/>
	</a>
	<div id="first1000"><xsl:text>&#160;</xsl:text></div><div id="second1000"><xsl:text>&#160;</xsl:text></div><div id="thirdtitle1000" style="visibility:hidden"><xsl:value-of select="$l0029"/></div><div id="thirdplot1000"/><div id="fourth1000"/><div id="fifth1000"/><div id="sixth1000"/>
</xsl:if>

<div style="visibility:hidden"><xsl:attribute name="id">first1</xsl:attribute>&#160;</div>
<div style="visibility:hidden"><xsl:attribute name="id">first2</xsl:attribute>&#160;</div>
<div style="visibility:hidden"><xsl:attribute name="id">second1</xsl:attribute>&#160;</div>

<xsl:for-each select="files/file">
	<div style="visibility:hidden"><xsl:attribute name="id">fourth<xsl:value-of select="last()"/></xsl:attribute>&#160;</div><!-- last() -->
	<div style="visibility:hidden"><xsl:attribute name="id">fifth<xsl:value-of select="last()-1"/></xsl:attribute>&#160;</div><!-- last()-1 to last() -->
	<div style="visibility:hidden"><xsl:attribute name="id">fifth<xsl:value-of select="last()"/></xsl:attribute>&#160;</div>
	<div style="visibility:hidden"><xsl:attribute name="id">sixth<xsl:value-of select="last()-2"/></xsl:attribute>&#160;</div><!-- last()-2 to last() -->
	<div style="visibility:hidden"><xsl:attribute name="id">sixth<xsl:value-of select="last()-1"/></xsl:attribute>&#160;</div>
	<div style="visibility:hidden"><xsl:attribute name="id">sixth<xsl:value-of select="last()"/></xsl:attribute>&#160;</div>
</xsl:for-each>

<xsl:for-each select="files/file">
	<div style="visibility:hidden">
		<xsl:attribute name="id">first<xsl:value-of select="position()+2"/></xsl:attribute>
			<xsl:value-of select="@firstPart"/><xsl:text>  </xsl:text><xsl:call-template name="unfocusedepisodetitles"/>
	</div>
	<div style="visibility:hidden">
		<xsl:attribute name="id">second<xsl:value-of select="position()+1"/></xsl:attribute>
			<xsl:value-of select="@firstPart"/><xsl:text>  </xsl:text><xsl:call-template name="unfocusedepisodetitles"/>
	</div>
	<div style="visibility:hidden">
		<xsl:attribute name="id">thirdtitle<xsl:value-of select="position()"/></xsl:attribute>
			<xsl:value-of select="@firstPart"/><xsl:text>. </xsl:text><xsl:call-template name="focusedepisodetitle"/>
	</div>
	<div style="visibility:hidden">
		<xsl:attribute name="id">thirdplot<xsl:value-of select="position()"/></xsl:attribute>
			<!--<xsl:if test="filePlot='UNKNOWN'"><xsl:value-of select="translate($l0019,$lcletters,$ucletters)"/></xsl:if>-->
			<xsl:if test="filePlot!='UNKNOWN'">
				<!--<xsl:value-of select="filePlot"/> Made obsolete by r1334 (plugin.plot.maxlength=339). Reinstated: also limited Panel plots.-->
				<xsl:choose>
					<xsl:when test="string-length(filePlot)&lt;340">
						<xsl:value-of select="filePlot"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="substring(filePlot,1,336)"/>...
					</xsl:otherwise>
				</xsl:choose>
			</xsl:if>
	</div>
	<div style="visibility:hidden"><!-- creates fourth0 -->
		<xsl:attribute name="id">fourth<xsl:value-of select="position()-1"/></xsl:attribute>
			<xsl:value-of select="@firstPart"/><xsl:text>  </xsl:text><xsl:call-template name="unfocusedepisodetitles"/>
	</div>
	<div style="visibility:hidden"><!-- creates fifth0 and fifth-1 -->
		<xsl:attribute name="id">fifth<xsl:value-of select="position()-2"/></xsl:attribute>
			<xsl:value-of select="@firstPart"/><xsl:text>  </xsl:text><xsl:call-template name="unfocusedepisodetitles"/>
	</div>
	<div style="visibility:hidden"><!-- creates sixth0, sixth-1, sixth-2 -->
		<xsl:attribute name="id">sixth<xsl:value-of select="position()-3"/></xsl:attribute>
			<xsl:value-of select="@firstPart"/><xsl:text>  </xsl:text><xsl:call-template name="unfocusedepisodetitles"/>
	</div>
	<img>
		<xsl:attribute name="src"><xsl:value-of select="fileImageFile"/></xsl:attribute>
		<xsl:attribute name="id">videoimage<xsl:value-of select="position()"/></xsl:attribute>
	</img>
</xsl:for-each>

<div class="abs videoimageframe"><a href="#" onmouseover="show(1)" onmouseout="hide(1)" onfocus="show(1)" onblur="hide(1)"><img src="pictures/details/videoimage_frame.png"/></a></div>
<!--<div class="abs videoimageframe"><img src="pictures/details/videoimage_frame.png"/></div>-->
<xsl:if test="$Companion='true' and $companioncontent='true'">
	<div class="abs tvcompanion"><img src="pictures/details/companion.png"/></div>
</xsl:if>

<xsl:call-template name="navigation"/>
<xsl:call-template name="shortcuts"/>
<a href="#" tvid="tab"/><!-- forces menu/tab to do nothing -->

<div id="noNMTNote">THIS MUST BE VIEWED ON THE NMT TO WORK.</div>

</body>
</html>

</xsl:template>

<xsl:template name="details-tv">
<table border="0" cellspacing="0" cellpadding="0" width="1096"><!-- 1188 to right edge -->
	<xsl:if test="fanartFile!='UNKNOWN'"><xsl:attribute name="background">pictures/diffuse_background.png</xsl:attribute></xsl:if>
	<tr>
		<td height="78" colspan="2" valign="top">
			<table border="0" cellspacing="0" cellpadding="0">
				<!--<xsl:if test="fanartFile!='UNKNOWN'"><xsl:attribute name="class">diffuse</xsl:attribute></xsl:if>-->
				<tr>
					<td width="1095" class="text header">
						<xsl:if test="$mjb.internet.plugin='com.moviejukebox.plugin.SratimPlugin'">
							<xsl:attribute name="align">right</xsl:attribute>
						</xsl:if>
						<xsl:if test="$mjb.internet.plugin!='com.moviejukebox.plugin.SratimPlugin'">
							<xsl:value-of select="translate($l0002,$lcletters,$ucletters)"/>
							<xsl:text>:</xsl:text>
							<xsl:choose>
								<xsl:when test="string-length(title)&lt;40">
									<xsl:value-of select="translate(title,$lcletters,$ucletters)"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="substring(translate(title,$lcletters,$ucletters),1,36)"/>...
								</xsl:otherwise>
							</xsl:choose>
						</xsl:if>
						<xsl:if test="$mjb.internet.plugin='com.moviejukebox.plugin.SratimPlugin'">
							<xsl:value-of select="translate(title,$lcletters,$ucletters)"/>
							<xsl:text>:</xsl:text>
							<xsl:value-of select="translate($l0002,$lcletters,$ucletters)"/>
						</xsl:if>
					</td>
					<!--<td width="93"/>-->
				</tr>
				<tr><td height="3"/></tr>
				<tr>
					<td valign="top" class="text">
						<xsl:if test="$mjb.internet.plugin='com.moviejukebox.plugin.SratimPlugin'">
							<xsl:attribute name="align">right</xsl:attribute>
						</xsl:if>
						<xsl:value-of select="translate($l0003,$lcletters,$ucletters)"/>
						<xsl:text> </xsl:text>
						<xsl:value-of select="season"/>
						<xsl:text> - </xsl:text>
						<xsl:value-of select="count(files/file/filePlot)"/>
						<xsl:text> </xsl:text>
						<xsl:value-of select="translate($l0020,$lcletters,$ucletters)"/>
					</td>
				</tr>
			</table>
		</td>
	</tr>
	<tr>
	<!--<xsl:if test="fanartFile!='UNKNOWN'"><xsl:attribute name="class">diffuse</xsl:attribute></xsl:if>-->
		<td width="258">
			<table border="0" cellspacing="0" cellpadding="0">
				<xsl:for-each select="files/file">
					<tr>
						<td>
<a>
	<xsl:attribute name="onmouseover">show(<xsl:value-of select="position()"/>,"<xsl:value-of select="//baseFilename"/>.playlist<xsl:value-of select="position()"/>.jsp")</xsl:attribute>
	<xsl:attribute name="onmouseout">hide(<xsl:value-of select="position()"/>)</xsl:attribute>
	<xsl:attribute name="onfocus">show(<xsl:value-of select="position()"/>,"<xsl:value-of select="//baseFilename"/>.playlist<xsl:value-of select="position()"/>.jsp")</xsl:attribute>
	<xsl:attribute name="onblur">hide(<xsl:value-of select="position()"/>)</xsl:attribute>
    <xsl:attribute name="href"><xsl:value-of select="fileURL"/></xsl:attribute>
    <xsl:call-template name="zcd">
        <xsl:with-param name="url" select="//files/file/fileURL"/>
        <xsl:with-param name="container" select="//movie/container"/>
    </xsl:call-template>
    <xsl:attribute name="vod"><xsl:value-of select="playLink"/></xsl:attribute>
	<xsl:attribute name="name"><xsl:value-of select="position()"/></xsl:attribute>

<xsl:if test="$ReverseEpisodeList='false'">
	<xsl:attribute name="onkeyleftset">
		<xsl:choose>
			<xsl:when test="position()-6 &lt; 1 and position() &gt; 1">1</xsl:when>
			<xsl:when test="position() = 1">companionmessage</xsl:when>
			<xsl:otherwise><xsl:value-of select="position()-6"/></xsl:otherwise>
		</xsl:choose>
	</xsl:attribute>
	<xsl:attribute name="onkeyrightset">
		<xsl:choose>
			<xsl:when test="position()+6 &gt; last()"><xsl:value-of select="last()"/></xsl:when>
			<xsl:otherwise><xsl:value-of select="position()+6"/></xsl:otherwise>
		</xsl:choose>
	</xsl:attribute>

	<xsl:attribute name="onkeyupset">
		<xsl:choose>
			<xsl:when test="position()=1"><xsl:value-of select="last()"/></xsl:when>
			<xsl:otherwise><xsl:value-of select="position()-1"/></xsl:otherwise>
		</xsl:choose>
	</xsl:attribute>
	<xsl:attribute name="onkeydownset">
		<xsl:choose>
			<xsl:when test="last()=1">pgdn</xsl:when><!-- if the last position is the 1st (only 1 ep), then pgdn -->
			<xsl:when test="position()=last()">1</xsl:when><!-- if the position is the last one, then go back up to 1 -->
			<xsl:otherwise><xsl:value-of select="position()+1"/></xsl:otherwise>
		</xsl:choose>
	</xsl:attribute>
</xsl:if>
<xsl:if test="$ReverseEpisodeList='true'">
	<xsl:attribute name="onkeyleftset">
		<xsl:choose>
			<xsl:when test="position()+6 &gt; last() and position() &lt; last()"><xsl:value-of select="last()"/></xsl:when>
			<xsl:when test="position()=last()">companionmessage</xsl:when>
			<xsl:otherwise><xsl:value-of select="position()+6"/></xsl:otherwise>
		</xsl:choose>
	</xsl:attribute>
	<xsl:attribute name="onkeyrightset">
		<xsl:choose>
			<xsl:when test="position()-6 &lt; 1">1</xsl:when>
			<xsl:otherwise><xsl:value-of select="position()-6"/></xsl:otherwise>
		</xsl:choose>
	</xsl:attribute>

	<xsl:attribute name="onkeyupset">
		<xsl:choose>
			<xsl:when test="position()=last()">1</xsl:when>
			<xsl:otherwise><xsl:value-of select="position()+1"/></xsl:otherwise>
		</xsl:choose>
	</xsl:attribute>

	<xsl:attribute name="onkeydownset">
		<xsl:choose>
			<xsl:when test="last()=1">pgdn</xsl:when>
			<xsl:when test="position()=1"><xsl:value-of select="last()"/></xsl:when>
			<xsl:otherwise><xsl:value-of select="position()-1"/></xsl:otherwise>
		</xsl:choose>
	</xsl:attribute>
</xsl:if>

<!--
	<xsl:if test="position()=1"><xsl:attribute name="onkeyupset"><xsl:value-of select="last()"/></xsl:attribute></xsl:if>
	<xsl:if test="position()=last()"><xsl:attribute name="onkeydownset">1</xsl:attribute></xsl:if>
-->

	<img src="pictures/1x1.png"/>
</a>
<a href="#"><!-- doesn't work?? -->
	<xsl:attribute name="onfocusset"><xsl:value-of select="position()"/></xsl:attribute>
	<xsl:attribute name="tvid"><xsl:value-of select="position()"/></xsl:attribute>
</a>
						</td>
					</tr>
				</xsl:for-each>
			</table>
		</td>
		<td>
		<xsl:if test="$ReverseEpisodeList='false'">
			<table border="0" cellspacing="0" cellpadding="0">
				<tr><td height="60" width="930" class="accent bold unfocusedtitles"><div id="first">&#160;</div></td></tr>
				<tr><td height="60" class="accent bold unfocusedtitles"><div id="second">&#160;</div></td></tr>
				<tr><td height="9"/></tr>
				<tr>
					<td height="146" colspan="2" valign="top">
						<table border="0" cellspacing="0" cellpadding="0" width="835">
							<tr>
								<td ROWSPAN="2" width="210"/>
								<td class="text bold focusedtitle" height="38"><div id="thirdtitle">&#160;</div></td>
							</tr>
							<tr>
								<td class="text episodeplot">
									<xsl:if test="$mjb.internet.plugin='com.moviejukebox.plugin.SratimPlugin'">
										<xsl:attribute name="align">right</xsl:attribute>
									</xsl:if>
									<div id="thirdplot">&#160;</div>
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr><td height="9"/></tr>
				<tr><td height="60" class="accent bold unfocusedtitles"><div id="fourth">&#160;</div></td></tr>
				<tr><td height="60" class="accent bold unfocusedtitles"><div id="fifth">&#160;</div></td></tr>
				<tr><td height="60" class="accent bold unfocusedtitles"><div id="sixth">&#160;</div></td></tr>
			</table>
		</xsl:if>
		<xsl:if test="$ReverseEpisodeList='true'">
			<table border="0" cellspacing="0" cellpadding="0">
				<tr><td height="60" class="accent bold unfocusedtitles"><div id="sixth">&#160;</div></td></tr>
				<tr><td height="60" class="accent bold unfocusedtitles"><div id="fifth">&#160;</div></td></tr>
				<tr><td height="60" class="accent bold unfocusedtitles"><div id="fourth">&#160;</div></td></tr>
				<tr><td height="9"/></tr>
				<tr>
					<td height="146" colspan="2" valign="top">
						<table border="0" cellspacing="0" cellpadding="0" width="835">
							<tr>
								<td ROWSPAN="2" width="210"/>
								<td class="text bold focusedtitle" height="38"><div id="thirdtitle">&#160;</div></td>
							</tr>
							<tr>
								<td class="text episodeplot">
									<xsl:if test="$mjb.internet.plugin='com.moviejukebox.plugin.SratimPlugin'">
										<xsl:attribute name="align">right</xsl:attribute>
									</xsl:if>
									<div id="thirdplot">&#160;</div>
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr><td height="9"/></tr>
				<tr><td height="60" class="accent bold unfocusedtitles"><div id="second">&#160;</div></td></tr>
				<tr><td height="60" width="930" class="accent bold unfocusedtitles"><div id="first">&#160;</div></td></tr>
			</table>
		</xsl:if>
		</td>
	</tr>
	<tr>
		<td colspan="2" height="45"/>
	</tr>
	<tr>
		<td colspan="2">
			<table border="0" cellspacing="0" cellpadding="0">
			<!--<xsl:if test="fanartFile!='UNKNOWN'"><xsl:attribute name="class">diffuse</xsl:attribute></xsl:if>-->
				<tr>
					<td width="1187" height="62" valign="bottom" align="right">
						<xsl:if test="$ShowFlags='true'">
							<xsl:call-template name="flags"/>
						</xsl:if>
					</td>
					<!--<td width="93"/>-->
				</tr>
			</table>
		</td>
	</tr>
</table>
</xsl:template>

</xsl:stylesheet>