﻿<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output encoding="UTF-8" method="xml" omit-xml-declaration="yes"/>

<xsl:include href="system/preferences.xsl"/>
<xsl:include href="system/templates.xsl"/>
<xsl:include href="options.xsl"/>
<xsl:include href="options-theme.xsl"/>
<xsl:include href="detail-tv.xsl"/>

<xsl:variable name="lcletters">abcdefghijklmnopqrstuvwxyzàáâãäåæçèéêëìíîïðñòóôõöøœþùúûüýÿ</xsl:variable>
<xsl:variable name="ucletters">ABCDEFGHIJKLMNOPQRSTUVWXYZÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖØŒÞÙÚÛÜÝŸ</xsl:variable>

<xsl:template match="/">
<xsl:for-each select="details/movie">

<xsl:choose><xsl:when test="not(season=-1)"><xsl:call-template name="detail-tv"/></xsl:when><xsl:otherwise>

<xsl:value-of select="'&lt;'" disable-output-escaping="yes"/>!-- Skin Version <xsl:value-of select="$version"/> --<xsl:value-of select="'&gt;'" disable-output-escaping="yes"/>
<html>
<head>
<title><xsl:value-of select="title"/></title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
<link rel="StyleSheet" type="text/css" href="theme.css"></link>
<link rel="StyleSheet" type="text/css" href="no_nmt.css" media="screen"></link>
	<style>
	.abs{position: absolute;}
	.pixel {top: 647px; left: 1095;}
	.bold { font-weight : bold; }
	.poster {top: 86px; left: 239px;}
	.fanart {top: 131px; left: 95px;}
	.header { font-size: 27pt; font-weight : bold; }
	.largeinfo { font-size: 33pt; }
	.smallinfo { font-size: 13pt; }
	.info { font-size: 15pt; }
	.paneltitle { font-size: 25pt; }
	a:link {text-decoration: none;}
	a:visited {text-decoration: none;}
	body {font-family: Arial;}
	</style>
</head>
<body onloadset="play" topmargin="0" leftmargin="0" focuscolor="transparent" bgproperties="fixed">
	<xsl:attribute name="focustext"><xsl:value-of select="$FocusTextColor"/></xsl:attribute>
	<xsl:attribute name="background">
		<xsl:if test="fanartFile!='UNKNOWN'"><xsl:value-of select="fanartFile"/></xsl:if>
		<xsl:if test="fanartFile='UNKNOWN'">pictures/diffuse_background.png</xsl:if>
	</xsl:attribute>

<xsl:variable name="companioncontent">
	<xsl:if test="year/@index!='' or genres[@index!=''] or director/@index!='' or country/@index!='' or cast/actor[@index!=''] or count(files/file)!=1 or count(extras)!=0">true</xsl:if>
</xsl:variable>

<xsl:if test="$Companion='false'"><xsl:call-template name="details"/></xsl:if>
<xsl:if test="$Companion='true' and $companioncontent='true'">
	<table border="0" cellspacing="0" cellpadding="0" width="2560">
		<tr>
			<td><xsl:call-template name="details"/></td>
			<td width="1280" align="center"><xsl:call-template name="companion"/></td>
		</tr>
	</table>
</xsl:if>

<xsl:if test="$PosterOrFanart='Poster'">
	<div class="abs poster">
		<img width="318" height="475">
			<xsl:attribute name="src"><xsl:value-of select="detailPosterFile"/></xsl:attribute>
		</img>
	</div>
	<div class="abs posteroverlay"><img src="pictures/details/poster_overlay.png"/></div>
	<xsl:if test="//movie/extras/extra[translate(substring(@title,1,7),'TRAILER','trailer')='trailer']">
		<div class="abs postertrailer"><img src="pictures/details/trailer.png"/></div>
		<xsl:call-template name="trailer"/>
	</xsl:if>
	<xsl:if test="$Companion='true' and $companioncontent='true'">
		<div class="abs postercompanion"><img src="pictures/details/companion.png"/></div>
	</xsl:if>
</xsl:if>
<xsl:if test="$PosterOrFanart='Fanart'">
	<div class="abs fanart">
		<img width="462" height="260">
			<xsl:attribute name="src"><xsl:value-of select="fanartFile"/></xsl:attribute>
		</img>
	</div>
	<div class="abs fanartoverlay"><img src="pictures/details/fanart_overlay.png"/></div>
	<xsl:if test="//movie/extras/extra[translate(substring(@title,1,7),'TRAILER','trailer')='trailer']">
		<div class="abs fanarttrailer"><img src="pictures/details/trailer.png"/></div>
		<xsl:call-template name="trailer"/>
	</xsl:if>
	<xsl:if test="$Companion='true' and $companioncontent='true'">
		<div class="abs fanartcompanion"><img src="pictures/details/companion.png"/></div>
	</xsl:if>
</xsl:if>

</body>
</html>

</xsl:otherwise></xsl:choose>

<xsl:call-template name="navigation"/>
<xsl:call-template name="shortcuts"/>

<div id="noNMTNote">THIS MUST BE VIEWED ON THE NMT TO WORK.</div>

</xsl:for-each>
</xsl:template>

<xsl:template name="details">
<table border="0" cellspacing="0" cellpadding="0" width="1280" background="pictures/diffuse_background.png">
	<tr>
		<td height="161" colspan="3" valign="bottom">
			<table border="0" cellspacing="0" cellpadding="0">
				<tr>
					<td width="92"/>
					<td valign="top" width="1095" class="text header" colspan="2">
						<xsl:if test="$mjb.internet.plugin='com.moviejukebox.plugin.SratimPlugin'">
							<xsl:attribute name="align">right</xsl:attribute>
						</xsl:if>
						<xsl:value-of select="translate($l0001,$lcletters,$ucletters)"/>
					</td>
				</tr>
				<tr>
					<td height="84"/>
					<td width="490"/>
					<td valign="bottom" class="text header">
						<xsl:if test="$mjb.internet.plugin='com.moviejukebox.plugin.SratimPlugin'">
							<xsl:attribute name="align">right</xsl:attribute>
						</xsl:if>
						<xsl:choose>
							<xsl:when test="string-length(title)&lt;30">
								<xsl:value-of select="translate(title,$lcletters,$ucletters)"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="substring(translate(title,$lcletters,$ucletters),1,26)"/>...
							</xsl:otherwise>
						</xsl:choose>
					</td>
				</tr>
			</table>
		</td>
	</tr>
	<tr><td height="2" class="lines" colspan="3"/></tr>
	<tr>
		<td colspan="3">
			<table border="0" cellspacing="0" cellpadding="0">
				<tr>
					<td height="73" width="583"/>
					<td width="270" align="center">
						<xsl:if test="certification != 'UNKNOWN' and certification != ''">
							<xsl:call-template name="certification" />
						</xsl:if>
					</td>
					<td width="2" class="lines"/>
					<td width="140" align="center" class="accent largeinfo">
						<xsl:if test="year != 'UNKNOWN'">
							<xsl:choose>
								<xsl:when test="year/@index != ''">
									<xsl:value-of select="year" />
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="year" />
								</xsl:otherwise>
							</xsl:choose>
						</xsl:if>
					</td>
					<td width="2" class="lines"/>
					<td width="20"/>
					<td width="263" class="accent largeinfo">
						<xsl:if test="runtime != 'UNKNOWN'">
							<xsl:value-of select="translate(translate(runtime,$lcletters,$ucletters),'S','')"/>
						</xsl:if>
					</td>
				</tr>
			</table>
		</td>
	</tr>
	<tr><td height="2" class="lines" colspan="3"/></tr>
	<tr>
		<td height="60" width="715" align="right">
			<table border="0" cellspacing="4" cellpadding="0" width="139">
				<tr><td class="accent smallinfo bold"><xsl:value-of select="translate($l0016,$lcletters,$ucletters)"/><xsl:text>:</xsl:text></td></tr>
				<tr><td class="accent smallinfo bold"><xsl:value-of select="translate($l0017,$lcletters,$ucletters)"/><xsl:text>:</xsl:text></td></tr>
			</table>
		</td>
		<td width="2" class="lines"/>
		<td width="563">
			<table border="0" cellspacing="4" cellpadding="0">
				<tr>
					<td height="20" width="14"/>
					<td class="text smallinfo bold">
						<xsl:if test="director != 'UNKNOWN'">
							<xsl:choose>
								<xsl:when test="director/@index != ''">
									<xsl:value-of select="translate(director,$lcletters,$ucletters)"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="translate(director,$lcletters,$ucletters)"/>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:if>
					</td>
				</tr>
				<tr>
					<td height="20"/>
					<td class="text smallinfo bold">
						<xsl:if test="count(writers/writer) != 0">
							<xsl:for-each select="writers/writer[position() &lt;= 3]">
							<xsl:if test="position()!=1"> / </xsl:if>
								<xsl:choose>
									<xsl:when test="@index != ''">
										<xsl:value-of select="translate(.,$lcletters,$ucletters)"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="translate(.,$lcletters,$ucletters)"/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:for-each>
						</xsl:if>
						<xsl:if test="count(writers/writer) = 0"><xsl:value-of select="translate($l0019,$lcletters,$ucletters)"/></xsl:if>
					</td>
				</tr>
			</table>
		</td>
	</tr>
	<tr><td height="2" class="lines" colspan="3"/></tr>
	<tr>
		<td height="85" width="715" align="right">
			<table border="0" cellspacing="4" cellpadding="0" width="139">
				<tr><td class="accent smallinfo bold"><xsl:value-of select="translate($l0018,$lcletters,$ucletters)"/><xsl:text>:</xsl:text></td></tr>
				<tr><td height="38"/></tr>
			</table>
		</td>
		<td class="lines"/>
		<td width="563" valign="top">
			<xsl:if test="count(cast/actor) != 0">
				<table border="0" cellpadding="0" cellspacing="0">
					<tr><td height="11"/></tr>
				<xsl:for-each select="cast/actor[position() &lt;= 3]">
					<tr>
						<td width="22"/>
						<td class="text smallinfo bold" height="21">
						<xsl:if test="position()!=1">  </xsl:if>
							<xsl:choose>
								<xsl:when test="@index != ''">
									<xsl:value-of select="translate(.,$lcletters,$ucletters)"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="translate(.,$lcletters,$ucletters)"/>
								</xsl:otherwise>
							</xsl:choose>
						</td>
					</tr>
				</xsl:for-each>
				</table>
			</xsl:if>
		</td>
	</tr>
	<tr><td height="2" class="lines" colspan="3"/></tr>
	<tr>
		<td colspan="3">
			<table border="0" cellspacing="0" cellpadding="0">
				<tr>
					<td height="234" width="583"/>
					<td width="604" valign="top">
						<table border="0" cellpadding="0" cellspacing="0">
							<tr><td height="15"/></tr>
							<tr>
								<td class="text info">
								<xsl:if test="$mjb.internet.plugin='com.moviejukebox.plugin.SratimPlugin'">
									<xsl:attribute name="align">right</xsl:attribute>
								</xsl:if>
									<xsl:variable name="synopsis">
										<xsl:if test="outline!='UNKNOWN'"><xsl:value-of select="outline"/></xsl:if>
										<xsl:if test="outline='UNKNOWN'"><xsl:value-of select="plot"/></xsl:if>
									</xsl:variable>
									<xsl:if test="$synopsis != 'UNKNOWN'">
										<xsl:call-template name="PreserveLineBreaks">
											<xsl:with-param name="text" select="$synopsis"/>
										</xsl:call-template>
									</xsl:if>
								</td>
							</tr>
						</table>
					</td>
					<td width="93"/>
				</tr>
				<tr>
					<td colspan="2" valign="bottom" align="right">
						<xsl:if test="$ShowFlags='true'">
							<xsl:call-template name="flags"/>
						</xsl:if>
					</td>
					<td height="62"/>
				</tr>
				<tr>
					<td colspan="2"/>
					<td><xsl:call-template name="playfile"/></td>
				</tr>
			</table>
		</td>
	</tr>
	<tr><td colspan="3" height="36"/></tr>
</table>
</xsl:template>

<xsl:template name="companion">
<table border="0" cellspacing="0" cellpadding="0">
	<tr>
		<td width="1095" height="647" valign="top">
			<xsl:if test="fanartFile!='UNKNOWN'"><xsl:attribute name="background">pictures/diffuse_background.png</xsl:attribute></xsl:if>
			<table border="0" cellspacing="0" cellpadding="0" width="1095">
				<tr>
					<td align="right">
						<a class="flagtext2 paneltitle" name="companion" onkeyleftset="extras" onkeyupset="last" onkeydownset="extras">
							<xsl:attribute name="href"><xsl:value-of select="details"/></xsl:attribute>
							<xsl:text>[</xsl:text><xsl:value-of select="translate($l0025,$lcletters,$ucletters)"/><xsl:text>]</xsl:text>
						</a>
					</td>
				</tr>
				<tr><td height="2" class="lines"/></tr>
			<xsl:if test="year/@index!=''"><!-- year -->
				<tr>
					<td class="text info">
						<span class="text paneltitle"><xsl:value-of select="$l0010"/><xsl:text> </xsl:text></span>
						<a class="flagtext2" onkeyleftset="companion" name="extras">
							<xsl:attribute name="href"><xsl:value-of select="year/@index"/>.html</xsl:attribute>
							<xsl:value-of select="year"/>
						</a>
					</td>
				</tr>
				<tr><td height="2" class="lines"/></tr>
			</xsl:if>
			<xsl:if test="genres/genre[@index!='']"><!-- genres -->
				<tr>
					<td class="text info">
						<span class="text paneltitle"><xsl:value-of select="$l0007"/><xsl:text> </xsl:text></span>
						<xsl:for-each select="genres/genre[@index!='']">
							<xsl:if test="@index!=''">
								<a class="flagtext2" name="extras">
									<xsl:attribute name="href"><xsl:value-of select="@index"/>.html</xsl:attribute>
									<xsl:if test="position()=1"><xsl:attribute name="onkeyleftset">companion</xsl:attribute></xsl:if>
									<xsl:value-of select="."/>
								</a>
							</xsl:if>
							<xsl:if test="position()!=last()"> / </xsl:if>
						</xsl:for-each>
					</td>
				</tr>
				<tr><td height="2" class="lines"/></tr>
			</xsl:if>
			<xsl:if test="director/@index!=''"><!-- director -->
				<tr>
					<td class="text info">
						<span class="text paneltitle"><xsl:value-of select="$l0016"/><xsl:text> </xsl:text></span>
						<a class="flagtext2" onkeyleftset="companion" name="extras">
							<xsl:attribute name="href"><xsl:value-of select="director/@index"/>.html</xsl:attribute>
							<xsl:value-of select="director"/>
						</a>
					</td>
				</tr>
				<tr><td height="2" class="lines"/></tr>
			</xsl:if>
			<xsl:if test="country != 'UNKNOWN' and country/@index != ''"><!-- country -->
				<tr>
					<td class="text info">
						<span class="text paneltitle"><xsl:value-of select="$l0028"/><xsl:text> </xsl:text></span>
						<a class="flagtext2" onkeyleftset="companion" name="extras">
							<xsl:attribute name="href"><xsl:value-of select="country/@index"/>.html</xsl:attribute>
							<xsl:value-of select="country"/>
						</a>
					</td>
				</tr>
				<tr><td height="2" class="lines"/></tr>
			</xsl:if>
			<xsl:if test="cast/actor[@index!='']"><!--<xsl:if test="count(cast/actor) != 0">--><!-- cast -->
				<tr>
					<td class="text info">
						<span class="text paneltitle"><xsl:value-of select="$l0012"/><xsl:text> </xsl:text></span>
						<xsl:for-each select="cast/actor[@index!='']">
							<xsl:if test="@index != ''">
								<a class="flagtext2" name="extras">
									<xsl:attribute name="href"><xsl:value-of select="@index"/>.html</xsl:attribute>
									<xsl:if test="position()=1"><xsl:attribute name="onkeyleftset">companion</xsl:attribute></xsl:if>
									<xsl:value-of select="." /> 
								</a>
							</xsl:if>
							<xsl:if test="position()!=last()"> / </xsl:if>
						</xsl:for-each>
					</td>
				</tr>
				<tr><td height="2" class="lines"/></tr>
			</xsl:if>
			<xsl:if test="count(files/file) != 1 and season=-1"><!-- multipart, movies only -->
				<tr>
					<td class="text info">
						<span class="text paneltitle"><xsl:value-of select="$l0027"/><xsl:text> </xsl:text></span>
						<xsl:for-each select="files/file">
							<a class="flagtext2" name="extras">
								<xsl:attribute name="href"><xsl:value-of select="fileURL" /></xsl:attribute>
								<xsl:if test="position()=1"><xsl:attribute name="onkeyleftset">companion</xsl:attribute></xsl:if>
								<xsl:call-template name="zcd">
									<xsl:with-param name="url" select="fileURL"/>
									<xsl:with-param name="container" select="//movie/container"/>
								</xsl:call-template>
								<xsl:if test="//movie/prebuf!='-1'">
									<xsl:attribute name="prebuf"><xsl:value-of select="//movie/prebuf"/></xsl:attribute>
								</xsl:if>
								<xsl:attribute name="vod"/>
								<xsl:value-of select="@firstPart"/>
									<xsl:if test="@title!='UNKNOWN'"><xsl:text>. </xsl:text><xsl:value-of select="@title"/></xsl:if>
							</a>
							<xsl:if test="position()!=last()"> / </xsl:if>
						</xsl:for-each>
					</td>
				</tr>
				<tr><td height="2" class="lines"/></tr>
			</xsl:if>
			<xsl:if test="count(extras) != 0"><!-- extras -->
				<tr>
					<td class="text info">
						<span class="text paneltitle"><xsl:value-of select="$l0026"/><xsl:text> </xsl:text></span>
						<xsl:for-each select="extras/extra">
							<a class="flagtext2" name="extras">
								<xsl:attribute name="href"><xsl:value-of select="."/></xsl:attribute>
								<xsl:if test="position()=1"><xsl:attribute name="onkeyleftset">companion</xsl:attribute></xsl:if>
									<xsl:call-template name="zcd"><xsl:with-param name="url" select="."/></xsl:call-template>
									<xsl:if test="//movie/prebuf != '-1'">
										<xsl:attribute name="prebuf"><xsl:value-of select="//movie/prebuf" /></xsl:attribute>
									</xsl:if>
								<xsl:attribute name="vod"/>
								<xsl:value-of select="@title" />
							</a>
							<xsl:if test="position()!=last()"> / </xsl:if>
						</xsl:for-each>
					</td>
				</tr>
			</xsl:if>
				<tr><td height="2" class="lines"/></tr>
				<tr>
					<td>
						<a class="flagtext2 paneltitle" name="last" onkeyleftset="extras" onkeydownset="companion">
							<xsl:attribute name="href"><xsl:value-of select="details"/></xsl:attribute>
							<xsl:text>[</xsl:text><xsl:value-of select="translate($l0025,$lcletters,$ucletters)"/><xsl:text>]</xsl:text>
						</a>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>
</xsl:template>

</xsl:stylesheet>