﻿<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" omit-xml-declaration="yes"/>
<xsl:template name="index-tv">

<xsl:value-of select="'&lt;'" disable-output-escaping="yes"/>!-- Skin Version <xsl:value-of select="$version"/> --<xsl:value-of select="'&gt;'" disable-output-escaping="yes"/>
<html>
<head>

<link rel="StyleSheet" type="text/css" href="theme.css"></link>
<link rel="StyleSheet" type="text/css" href="no_nmt.css" media="screen"></link>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
<title><xsl:value-of select="$l0002"/></title>

<style>
<xsl:comment>
	.showMenu {visibility:hidden;}

  <xsl:for-each select="/library/movies/movie">
    #img<xsl:value-of select="position()" /> {visibility:hidden;}
    #overlay<xsl:value-of select="position()" /> {visibility:hidden;}
    #studio<xsl:value-of select="position()" /> {visibility:hidden;}
    #studiooverlay<xsl:value-of select="position()" /> {visibility:hidden;}
  </xsl:for-each>

  <xsl:for-each select="/library/movies/movie">
    <xsl:if test="position() &lt;= $iLines">
    .line<xsl:value-of select="position()" /> { top: <xsl:value-of select="(position() -1) * $iImageHeight +114" />px; }<!--+32-->
    </xsl:if>
  </xsl:for-each>

  <xsl:for-each select="/library/movies/movie">
    <xsl:if test="position() &lt;= $iCols">
    .col<xsl:value-of select="position()" /> { left: <xsl:value-of select="(position() -1) * $iImageWidth + $iMarginLeft" />px; }
    </xsl:if><!-- (6-1) * 107 + 65 -->
  </xsl:for-each>

  <xsl:for-each select="/library/movies/movie">
    <xsl:if test="position() &lt;= $iLines">
    .imgLine<xsl:value-of select="position()" /> { top: <xsl:value-of select="(position() -1) * $iImageHeight +12" />px; }
    .overlayLine<xsl:value-of select="position()" /> { top: <xsl:value-of select="(position() -1) * $iImageHeight +1" />px; }
    </xsl:if>
  </xsl:for-each>

  <xsl:for-each select="/library/movies/movie">
    .imgCol<xsl:value-of select="position()"/> {left:237px;top:<xsl:value-of select="(38+((position()-1)*65)) + 3" />px;margin-left:92px;margin-top:38px;}
    .overlayCol<xsl:value-of select="position()"/> {left:233px;top:<xsl:value-of select="38+((position()-1)*65)"/>px;margin-left:92px;margin-top:38px;}

    .imgStudio<xsl:value-of select="position()"/> {left:800px;top:<xsl:value-of select="(38+((position()-1)*65)) + 33" />px;margin-left:92px;margin-top:38px;}
    .overlayStudio<xsl:value-of select="position()"/> {left:798px;top:<xsl:value-of select="(38+((position()-1)*65)) + 19"/>px;margin-left:92px;margin-top:38px;}
  </xsl:for-each>
<!-- +17 -->
  <xsl:call-template name="genMenuStyles.loop">
    <xsl:with-param name="i">1</xsl:with-param>
    <xsl:with-param name="count">9</xsl:with-param>
  </xsl:call-template>

	.pages {top: 564px; left: 990;margin-left:92px;margin-top:38px;}
	.category { left: 360px;  }
	.genre { left: 534px;  }
	.mnuBack { left: 0px; top: 1px; }
	.mnuBackTop { left: 361px; top: 126px; }
	.mnuBackBot { left: 361px; top: 301px; }
	.hidden {visibility:hidden;}
	.visible {visibility:visible;}
	.abs{position: absolute;}
	.mnuItem{ width: 150px; height: 30px; font-size: 20px;}
	.menuImage{ background: url(pictures/menu/menu_active.png);}
	.menuLink { font-size: 25px; text-decoration: none; }
	.menuLinkActive { font-size: 25px; text-decoration: none; }
	a {text-decoration: none; }
	.bold { font-weight : bold; }
	.header { font-size: 27pt; font-weight : bold; }
	.info { font-size: 15pt; }
	body{font-family: Arial;margin-left:92px;margin-top:38px;}

</xsl:comment>
</style>

<script type="text/javascript">
<xsl:comment>
  var asCatNames = new Array();
  var asFilters = new Object();
  var asFilterNames = new Object();
  
  <xsl:for-each select="library/category[not(@name = 'Library') and not(@name = 'Set')]">
  	<xsl:if test="count(index) > 0">
	    <xsl:variable name="catName" select="@name" />
	    asCatNames.push("<xsl:value-of select="$catName" />");
	    asFilters['<xsl:value-of select="$catName" />'] = new Array();
	    asFilterNames['<xsl:value-of select="$catName" />']  = new Array();
	    <xsl:for-each select="index">
	      asFilters['<xsl:value-of select="$catName" />'].push("<xsl:value-of select="." />");
	      asFilterNames['<xsl:value-of select="$catName" />'].push("<xsl:value-of select="@name" />");
	    </xsl:for-each>
    </xsl:if>
  </xsl:for-each>
  
  var aiCatLength = new Object();
  var iCats = asCatNames.length;
  for (var t=0; t <![CDATA[<]]> iCats; t++)
  {
    aiCatLength[asCatNames[t]] = asFilters[asCatNames[t]].length;
  }

</xsl:comment>
</script>
 
<script type="text/javascript">
<xsl:comment>
var asTitles=[
  	<xsl:for-each select="library/movies/movie">
      ""<xsl:if test="position() != last()">,</xsl:if>
    </xsl:for-each>
  	];
</xsl:comment>
</script>

<!--<xsl:if test="$indexShowImdbRating = 'true'"> Assumes true-->
<script type="text/javascript">
<xsl:comment>
  var asRatings=[
  	<xsl:for-each select="library/movies/movie">
      "<xsl:value-of select="substring(rating,1,1)"/>,<xsl:value-of select="substring(rating,2,2)"/>"<xsl:if test="position() != last()">,</xsl:if>
    </xsl:for-each>
	];
</xsl:comment>
</script>
<!--</xsl:if>-->

<script type="text/javascript">
<xsl:comment>

  var title = 1;
  var titleTop = 1;
  var play = false;


  var fMenu = false;
  var iActiveItem = 1;
  var fInit = false;

  var sActiveCat = 'Other';
  var iActiveCat = 0;
  var iMaxCats = 9;
  var iMaxGenres = 9;
  var iLinkMinCat = 5;
  var iLinkMinGen = 5;
  var iActiveGen = 0;
  var iGenres = 0;
  
  var fShowImdbRating = true;

  </xsl:comment>
</script>
<script type='text/javascript'>
function show(x, jsp)
{
  if ( title == 1 )
  {
  	title = document.getElementById('title');
  	titleTop = document.getElementById('titleTop');
  }

	var sTitle = asTitles[x-1];
	if (fShowImdbRating == 'true')
	{
		var asTemp = asRatings[x-1].split(',');
		if (asTemp[0] <xsl:value-of select="'&gt;'" disable-output-escaping="yes"/> 0 )
		{
		  sTitle = sTitle + ' (IMDB: ' + asTemp[0];
	
		  if (asTemp[1] <xsl:value-of select="'&gt;'" disable-output-escaping="yes"/> 0)
		    sTitle = sTitle + '.' + asTemp[1];
		  sTitle = sTitle + ')';
		}
	}


	if (x <xsl:value-of select="'&lt;'" disable-output-escaping="yes"/>= 14)
	{
  	title.firstChild.nodeValue = sTitle;
  	titleTop.firstChild.nodeValue = '';
  }
  else
  {
  	titleTop.firstChild.nodeValue = sTitle;
  	title.firstChild.nodeValue = '';
  }
  	
  if (play == false)
    play = document.getElementById('play');

  play.setAttribute('href', jsp);

	<xsl:if test="$ParentalControl='true'">
		play.setAttribute('tvid', '<xsl:value-of select="$ParentalPlayFromPanel"/>');
	</xsl:if>
	<xsl:if test="$ParentalControl='false'">
		play.setAttribute('tvid', 'PLAY');
	</xsl:if>

  showOverlay(x);

  iActiveItem = x;

}

</script>
<script type='text/javascript' src='ppp_index-tv.js'>&#160;</script>

<xsl:if test="$ParentalControl='true'">
<script>
var ratingsys= new Array();

ratingsys['G']=1;
ratingsys['PG']=10;
ratingsys['PG-13']=13;
ratingsys['R']=18;
ratingsys['NC-17']=17;
ratingsys['Not Rated']=18;

ratingsys['TV-Y']=1;
ratingsys['TV-Y7']=8;
ratingsys['TV-G']=10;
ratingsys['TV-PG']=13;
ratingsys['TV-14']=15;
ratingsys['TV-MA']=16;

ratingsys['U']=1;
ratingsys['PG']=10;
ratingsys['12']=12;
ratingsys['12A']=13;
ratingsys['15']=15;
ratingsys['18']=18;
ratingsys['R18']=99;

ratingsys['X']=99;
ratingsys['XX']=99;
ratingsys['XXX']=99;

var ratingnow=0;
</script> 
<script type="text/javascript">

function prompter(y) 
{
ratingnow=ratingsys[y];

<xsl:choose>
<xsl:when test="$NumberOfChildren > 1">

if (ratingnow<xsl:value-of select="'&gt;'" disable-output-escaping="yes"/>=<xsl:value-of select="$YoungestChildsAge"/>)
{
	if (ratingnow<xsl:value-of select="'&gt;'" disable-output-escaping="yes"/>=<xsl:value-of select="$OldestChildsAge"/>)
		{		
			var reply = prompt("<xsl:value-of select="$l0021"/>", "")

				if (reply=="<xsl:value-of select="$MasterPassword"/>")
					{
						return
					}
				else 
					{
						alert ( "<xsl:value-of select="$l0022"/>")
						return false
					}
		}
	<xsl:if test="$NumberOfChildren=3">
	else if (ratingnow<xsl:value-of select="'&gt;'" disable-output-escaping="yes"/>=<xsl:value-of select="$MiddleChildsAge"/>)
		{		
			var reply = prompt("<xsl:value-of select="$l0021"/>", "")

				if (reply=="<xsl:value-of select="$OldestChildsPassword"/>" || reply=="<xsl:value-of select="$MasterPassword"/>")
					{
						return
					}
				else 
					{
						alert ( "<xsl:value-of select="$l0022"/>")
						return false
					}
		}
	</xsl:if>

	else
		{		
			var reply = prompt("<xsl:value-of select="$l0021"/>", "")

				if (reply=="<xsl:value-of select="$MiddleChildsPassword"/>" || reply=="<xsl:value-of select="$OldestChildsPassword"/>" || reply=="<xsl:value-of select="$MasterPassword"/>")
					{
						return
					}
				else 
					{
						alert ( "<xsl:value-of select="$l0022"/>")
						return false
					}
		}
}
</xsl:when>
<xsl:otherwise>
if (ratingnow<xsl:value-of select="'&gt;'" disable-output-escaping="yes"/>=<xsl:value-of select="$YoungestChildsAge"/>)
{
	var reply = prompt("<xsl:value-of select="$l0021"/>", "")

				if (reply=="<xsl:value-of select="$MasterPassword"/>")
					{
						return
					}
				else 
					{
						alert ( "<xsl:value-of select="$l0022"/>")
						return false
					}
		}
}
</xsl:otherwise>
</xsl:choose>
else
{
return
}


}
</script>
</xsl:if>
</head>

<body id="backgroundcolor" focuscolor="transparent" onload="init();" onloadset="n1" background="pictures/diffuse_background.png">


<table border="0" cellpadding="0" cellspacing="0">
	<tr>
		<td valign="top" height="78" colspan="3" class="text header">
			<xsl:if test="$mjb.internet.plugin!='com.moviejukebox.plugin.SratimPlugin'">
				<xsl:attribute name="align">left</xsl:attribute>
					<xsl:value-of select="translate($MovieOrTV,$lcletters,$ucletters)"/>
					<xsl:if test="contains(//category[@current='true']/@name,'Set')">
						<xsl:text>:</xsl:text>
						<xsl:value-of select="translate($l0005,$lcletters,$ucletters)"/>
						<xsl:text>:</xsl:text>
						<xsl:choose>
							<xsl:when test="string-length(//category[@current='true']/index[@current='true']/@name)&lt;35">
								<xsl:value-of select="translate(//category[@current='true']/index[@current='true']/@name,$lcletters,$ucletters)"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="substring(translate(//category[@current='true']/index[@current='true']/@name,$lcletters,$ucletters),1,31)"/>...
							</xsl:otherwise>
						</xsl:choose>
					</xsl:if><!--Disables "TV SHOWS:TV SHOWS". Only "TV SHOWS:SET:<SET NAME>". Also, can't filter genre within TV Shows.
					<xsl:if test="not(contains(//category[@current='true']/@name,'Set'))">
						<xsl:value-of select="translate(//category[@current='true']/index[@current='true']/@name,$lcletters,$ucletters)"/>
					</xsl:if>-->
			</xsl:if>
			<xsl:if test="$mjb.internet.plugin='com.moviejukebox.plugin.SratimPlugin'">
				<xsl:attribute name="align">right</xsl:attribute>
					<xsl:if test="contains(//category[@current='true']/@name,'Set')">
						<xsl:choose>
							<xsl:when test="string-length(//category[@current='true']/index[@current='true']/@name)&lt;35">
								<xsl:value-of select="translate(//category[@current='true']/index[@current='true']/@name,$lcletters,$ucletters)"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="substring(translate(//category[@current='true']/index[@current='true']/@name,$lcletters,$ucletters),1,31)"/>...
							</xsl:otherwise>
						</xsl:choose>
						<xsl:text>:</xsl:text>
						<xsl:value-of select="translate($l0005,$lcletters,$ucletters)"/>
						<xsl:text>:</xsl:text>
					</xsl:if><!--
					<xsl:if test="not(contains(//category[@current='true']/@name,'Set'))">
						<xsl:value-of select="translate(//category[@current='true']/index[@current='true']/@name,$lcletters,$ucletters)"/>
					</xsl:if>-->
					<xsl:value-of select="translate($MovieOrTV,$lcletters,$ucletters)"/>
			</xsl:if>
		</td>
	</tr>
	<tr>
		<td width="311"/>
		<td valign="top" width="740">

			<table border="0" cellpadding="0" cellspacing="0">
				<tr><td height="2" colspan="2"/></tr>
				<xsl:for-each select="library/movies/movie[position()>0 and position() &lt; 9]">
					<tr>
						<td width="120" height="65" valign="top">
							<a>
								<xsl:attribute name="href"><xsl:value-of select="details"/></xsl:attribute>
								<xsl:attribute name="onclick">return prompter('<xsl:value-of select="certification"/>')</xsl:attribute>
								<xsl:attribute name="name">n<xsl:value-of select="position()"/></xsl:attribute>
								<xsl:attribute name="id">l<xsl:value-of select="position()"/></xsl:attribute>
								<xsl:attribute name="onfocus">show(<xsl:value-of select="position()"/>, '<xsl:call-template name="search-and-replace"><xsl:with-param name="input" select="baseFilename"/><xsl:with-param name="search-string">'</xsl:with-param><xsl:with-param name="replace-string">\'</xsl:with-param></xsl:call-template>.playlist.jsp')</xsl:attribute>
								<xsl:if test="position() = 1"><xsl:attribute name="onkeyupset">pgupload</xsl:attribute></xsl:if>
								<xsl:if test="position() = 8"><xsl:attribute name="onkeydownset">pgdnload</xsl:attribute></xsl:if>
								<img>
									<xsl:if test="rating = -1">
										<xsl:attribute name="src">pictures/1x1.png</xsl:attribute>
									</xsl:if>
									<xsl:if test="rating != -1">
										<xsl:attribute name="src">pictures/banner/rating_<xsl:value-of select="round((rating div 100)*5)" />.png</xsl:attribute>
									</xsl:if>
									<xsl:attribute name="onfocussrc">pictures/1x1.png</xsl:attribute>
									<xsl:attribute name="onmouseover">show(<xsl:value-of select="position()"/>, '<xsl:call-template name="search-and-replace"><xsl:with-param name="input" select="baseFilename"/><xsl:with-param name="search-string">'</xsl:with-param><xsl:with-param name="replace-string">\'</xsl:with-param></xsl:call-template>.playlist.jsp')</xsl:attribute>
									<xsl:attribute name="onmouseout">hide(<xsl:value-of select="position()"/>)</xsl:attribute>
									<xsl:attribute name="onfocus">show(<xsl:value-of select="position()"/>, '<xsl:call-template name="search-and-replace"><xsl:with-param name="input" select="baseFilename"/><xsl:with-param name="search-string">'</xsl:with-param><xsl:with-param name="replace-string">\'</xsl:with-param></xsl:call-template>.playlist.jsp')</xsl:attribute>
									<xsl:attribute name="onblur">hide(<xsl:value-of select="position()"/>)</xsl:attribute>
									<xsl:attribute name="id">i<xsl:value-of select="position()"/></xsl:attribute>
								</img>
							</a>
							<a href="#">
								<xsl:attribute name="id">x<xsl:value-of select="position()"/></xsl:attribute>
								<xsl:attribute name="onfocusset">n<xsl:value-of select="position()"/></xsl:attribute>
								<xsl:attribute name="onclick">setFocus('l<xsl:value-of select="position()"/>');show(<xsl:value-of select="position()"/>, '<xsl:call-template name="search-and-replace"><xsl:with-param name="input" select="baseFilename"/><xsl:with-param name="search-string">'</xsl:with-param><xsl:with-param name="replace-string">\'</xsl:with-param></xsl:call-template>.playlist.jsp'); return false;</xsl:attribute>
								<xsl:attribute name="onfocus">setFocus('l<xsl:value-of select="position()"/>');show(<xsl:value-of select="position()"/>, '<xsl:call-template name="search-and-replace"><xsl:with-param name="input" select="baseFilename"/><xsl:with-param name="search-string">'</xsl:with-param><xsl:with-param name="replace-string">\'</xsl:with-param></xsl:call-template>.playlist.jsp'); return false;</xsl:attribute>
								<xsl:attribute name="tvid"><xsl:value-of select="position()"/></xsl:attribute>
							</a>
						</td>
						<td class="text info bold" valign="top" width="350">
							<xsl:choose>
								<xsl:when test="contains(//category[@current='true']/@name,'Set')"><!-- within sets -->
									<xsl:if test="season > 0">
										<xsl:value-of select="translate($l0003,$lcletters,$ucletters)"/>
										<xsl:text> </xsl:text>
										<xsl:value-of select="season"/>
									</xsl:if>
									<xsl:if test="season = 0">
										<xsl:value-of select="translate($l0004,$lcletters,$ucletters)"/>
									</xsl:if>
								</xsl:when>
								<xsl:otherwise>
									<xsl:if test="season = -1">
										<xsl:choose>
											<xsl:when test="string-length(title)&lt;28"><!-- fine tune tv set title length -->
												<xsl:value-of select="translate(title,$lcletters,$ucletters)"/>
											</xsl:when>
											<xsl:otherwise>
												<xsl:value-of select="substring(translate(title,$lcletters,$ucletters),1,24)"/>...
											</xsl:otherwise>
										</xsl:choose>
									</xsl:if>
									<xsl:if test="season != -1">
										<xsl:choose>
											<xsl:when test="string-length(title)&lt;21">
												<xsl:value-of select="translate(title,$lcletters,$ucletters)"/>
											</xsl:when>
											<xsl:otherwise>
												<xsl:value-of select="substring(translate(title,$lcletters,$ucletters),1,17)"/>...
											</xsl:otherwise>
										</xsl:choose>
										<xsl:text> </xsl:text>
										<xsl:value-of select="translate($l0003,$lcletters,$ucletters)"/>
										<xsl:text> </xsl:text>
										<xsl:value-of select="season"/>
									</xsl:if>
								</xsl:otherwise>
							</xsl:choose>
						</td>
					</tr>
				</xsl:for-each>
			</table>

		</td>
		<td width="45" align="right" valign="top">
			<table border="0" cellpadding="0" cellspacing="0">
				<tr><td><img src="pictures/scrollbar/scrollbartop.png"/></td></tr>
				<tr>
					<td background="pictures/scrollbar/scrollbarmid.png" height="450" valign="top">
						<table border="0" cellpadding="0" cellspacing="0">
							<tr>
								<td valign="bottom">
									<xsl:attribute name="height">
										<xsl:value-of select="$ScrollbarHeight"/>
									</xsl:attribute><!-- 0-428 -->
									<a>
										<xsl:attribute name="href">#</xsl:attribute>
										<xsl:attribute name="onkeyupset">pgupload</xsl:attribute>
										<xsl:attribute name="onkeydownset">pgdnload</xsl:attribute>
										<xsl:if test="$ScrollbarHeight &lt;= 157">
											<xsl:attribute name="onkeyrightset">n1</xsl:attribute>
										</xsl:if>
										<xsl:if test="$ScrollbarHeight &gt;= 158 and $ScrollbarHeight &lt;= 315">
											<xsl:attribute name="onkeyrightset">n7</xsl:attribute>
										</xsl:if>
										<xsl:if test="$ScrollbarHeight &gt;= 316">
											<xsl:attribute name="onkeyrightset">n13</xsl:attribute>
										</xsl:if>
										<img src="pictures/scrollbar/scrollbar-off.png" onfocussrc="pictures/scrollbar/scrollbar-on.png"/>
									</a>
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr><td><img src="pictures/scrollbar/scrollbarbot.png"/></td></tr>
			</table>
		</td>
	</tr>
</table>

<xsl:call-template name="LinksAndFilter"/>

<div class="abs hidden">
<a name="pgupload" tvid="pgup" onfocusload="">
	<xsl:attribute name="href"><xsl:value-of select="library/category[@current='true']/index[@current='true']/@previous"/>.html</xsl:attribute>
</a>
<a name="pgdnload" tvid="pgdn" onfocusload="">
	<xsl:attribute name="href"><xsl:value-of select="library/category[@current='true']/index[@current='true']/@next"/>.html</xsl:attribute>
</a>
</div>

<div id="titleTop">&#160;</div>
<div id="title">&#160;</div>

<xsl:for-each select="library/movies/movie"><!--
<xsl:for-each select="library/movies/movie[position() mod $iCols = 1]">
  <xsl:variable name="gap" select="(position() - 1) * $iCols" />
  <xsl:for-each select=".|following-sibling::movie[position() &lt; $iCols]">


    <xsl:variable name="imgCol">imgCol<xsl:value-of select="position()" /></xsl:variable>
    <xsl:variable name="overlayCol">overlayCol<xsl:value-of select="position()" /></xsl:variable>
  	<xsl:variable name="imgLine">imgLine<xsl:value-of select="$gap div $iCols + 1" /></xsl:variable>
  	<xsl:variable name="overlayLine">overlayLine<xsl:value-of select="$gap div $iCols + 1" /></xsl:variable>
  	<xsl:variable name="position" select="position() + $gap" />
-->

    <img>
<!--		<xsl:if test="bannerURL='UNKNOWN'">this doesn't test for manually provided banners. also, onfocussrc doesn't show text beneath
			<xsl:attribute name="src">pictures/1x1.png</xsl:attribute>
		</xsl:if>
		<xsl:if test="bannerURL!='UNKNOWN'">
			<xsl:attribute name="src"><xsl:value-of select="bannerFile"/></xsl:attribute>
		</xsl:if>-->
	  <xsl:attribute name="src"><xsl:value-of select="bannerFile"/></xsl:attribute>
      <xsl:attribute name="id">img<xsl:value-of select="position()"/></xsl:attribute>
      <xsl:attribute name="height">100</xsl:attribute>
      <xsl:attribute name="width">540</xsl:attribute>
      <xsl:attribute name="class">abs imgCol<xsl:value-of select="position()"/></xsl:attribute>
<!--
      <xsl:attribute name="temp"><xsl:value-of select="$gap"/>|<xsl:value-of select="$position"/></xsl:attribute>
-->
    </img>
    <img>
      <xsl:attribute name="src">pictures/banner/frame.png</xsl:attribute>
      <xsl:attribute name="id">overlay<xsl:value-of select="position()"/></xsl:attribute>
      <xsl:attribute name="class">abs overlayCol<xsl:value-of select="position()" /></xsl:attribute>
      <xsl:attribute name="onclick">openLink(<xsl:value-of select="position()"/>);</xsl:attribute>
    </img>


	<img>
		<xsl:if test="$StudioLogos='true' and not(contains(//category[@current='true']/@name,'Set'))">
			<xsl:attribute name="src">pictures/studios/<xsl:value-of select="company"/>.png</xsl:attribute>
			<xsl:attribute name="width">86</xsl:attribute>
		</xsl:if>
		<xsl:if test="$StudioLogos='false'">
			<xsl:attribute name="src">pictures/1x1.png</xsl:attribute>
		</xsl:if>
	  <xsl:attribute name="id">studio<xsl:value-of select="position()"/></xsl:attribute>
	  <xsl:attribute name="class">abs imgStudio<xsl:value-of select="position()" /></xsl:attribute>
	</img>

	<img>
		<xsl:if test="$StudioLogos='true' and not(contains(//category[@current='true']/@name,'Set'))">
			<xsl:attribute name="src">pictures/flags/frame_studio.png</xsl:attribute>
			<xsl:attribute name="width">88</xsl:attribute>
		</xsl:if>
		<xsl:if test="$StudioLogos='false'">
			<xsl:attribute name="src">pictures/1x1.png</xsl:attribute>
		</xsl:if>
	  <xsl:attribute name="id">studiooverlay<xsl:value-of select="position()"/></xsl:attribute>
	  <xsl:attribute name="class">abs overlayStudio<xsl:value-of select="position()" /></xsl:attribute>
	</img>
<!--  </xsl:for-each>-->
</xsl:for-each>

<!--Attempt to position number of episodes
<xsl:when test="">

<xsl:for-each select="library/movies/movie">
   <img>
	  <xsl:attribute name="src"><xsl:value-of select="bannerFile"/></xsl:attribute>
      <xsl:attribute name="id">img<xsl:value-of select="position()"/></xsl:attribute>
      <xsl:attribute name="class">abs imgCol<xsl:value-of select="position()"/></xsl:attribute>
    </img>
    <img>
      <xsl:attribute name="src">pictures/banner-hover.png</xsl:attribute>
      <xsl:attribute name="id">overlay<xsl:value-of select="position()"/></xsl:attribute>
      <xsl:attribute name="class">abs overlayCol<xsl:value-of select="position()" /></xsl:attribute>
      <xsl:attribute name="onclick">openLink(<xsl:value-of select="position()"/>);</xsl:attribute>
    </img>

	<div>
		<xsl:value-of select="translate($l0016,$lcletters,$ucletters)"/><xsl:text>: </xsl:text> l0016=Episodes
		<xsl:value-of select="count(files/file/filePlot)"/>
	  <xsl:attribute name="id">studio<xsl:value-of select="position()"/></xsl:attribute>
	  <xsl:attribute name="class">abs imgStudio<xsl:value-of select="position()"/> text plot</xsl:attribute>
	</div>

	<img>
	  <xsl:attribute name="src">pictures/1x1.png</xsl:attribute>
	  <xsl:attribute name="id">studiooverlay<xsl:value-of select="position()"/></xsl:attribute>
	  <xsl:attribute name="class">abs overlayStudio<xsl:value-of select="position()" /></xsl:attribute>
	</img>
</xsl:for-each>
-->


</body>
</html>


</xsl:template>
</xsl:stylesheet>