﻿<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" omit-xml-declaration="yes"/>

<xsl:include href="system/preferences.xsl"/>
<xsl:include href="system/templates.xsl"/>
<xsl:include href="options.xsl"/>
<xsl:include href="index-tv.xsl"/>

<xsl:variable name="MediaType"><!-- personal check -->
	<xsl:choose>
		<xsl:when test="contains(//index[@current='true']/@next,'TV Shows') and not(contains(//index[@current='true']/@next,'Year')) and not(contains(//index[@current='true']/@next,'Title')) and not(contains(//index[@current='true']/@next,'Rating')) and not(contains(//index[@current='true']/@next,'Genres')) or contains(//category[@current='true']/@name,'Set') and library/movies/movie/season != -1">tv</xsl:when>
		<xsl:when test="contains(//index[@current='true']/@next,'Movies')">movie</xsl:when>
		<xsl:otherwise>all</xsl:otherwise>
	</xsl:choose>
</xsl:variable>

<xsl:variable name="MovieOrTV">
	<xsl:if test="$MediaType='movie'"><xsl:value-of select="$l0001"/></xsl:if>
	<xsl:if test="$MediaType='tv'"><xsl:value-of select="$l0002"/></xsl:if>
	<xsl:if test="$MediaType='all'"><xsl:value-of select="$l0024"/></xsl:if>
</xsl:variable>

<xsl:variable name="lcletters">abcdefghijklmnopqrstuvwxyzàáâãäåæçèéêëìíîïðñòóôõöøœþùúûüýÿ</xsl:variable>
<xsl:variable name="ucletters">ABCDEFGHIJKLMNOPQRSTUVWXYZÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖØŒÞÙÚÛÜÝŸ</xsl:variable>

<!-- Added by 5150 skin -->
<xsl:variable name="currentHomePage">
   <xsl:choose>
    <xsl:when test="string-length($mjb.homePage) = '0'">Other_All_1</xsl:when>
    <xsl:otherwise><xsl:value-of select="$mjb.homePage"/></xsl:otherwise>
   </xsl:choose>
</xsl:variable>
<xsl:variable name="currentCategory" select="//category[@current='true']/@name"/>
<xsl:variable name="currentName" select="//category[@current='true']/index[@current='true']/@name"/>
<xsl:variable name="currentIndex" select="//category[@current='true']/index[@current='true']/@currentIndex"/>
<xsl:variable name="currentIndexPage" select="concat($currentCategory,'_',$currentName,'_',$currentIndex)"/>
<!-- /Added by 5150 skin -->

<xsl:variable name="iCols" select="//@cols"/>
<xsl:variable name="iLines" select="ceiling($mjb.nbThumbnailsPerPage div $mjb.nbThumbnailsPerLine)" />

<xsl:variable name="iMovies" select="count(/library/movies/movie)"/>
<xsl:variable name="iRows" select="ceiling($iMovies div $iCols)" />

<xsl:variable name="lastIndex" select="//index[@current='true']/@lastIndex"/>
<xsl:variable name="ScrollbarHeight" select="round($currentIndex * (450 div ($lastIndex + 1)))"/>


<!-- 2009-05-13 Umgestellt auf num. Arrayname -->
<xsl:variable name="genreTitle">
	<xsl:for-each select="//library/category/index">
	 	<xsl:if test="@current='true'"><xsl:value-of select="position()" /></xsl:if>
 	</xsl:for-each>
</xsl:variable>

<xsl:variable name="iImageListHeight" select="158" /><!--thumbnail height=196-->


<xsl:variable name="iImageHeight" select="$iImageListHeight" /><!-- vertical gap = 4 -->
<xsl:variable name="iImageWidth" select="107" /><!--thumbnail width=132. horizontal gap=6. 132 + 6=138-->
<xsl:variable name="iMarginLeft">
  <xsl:choose>
    <!-- letzte Seite, nicht letzte reihe -->
    <xsl:when test="$iImageWidth * $iCols &lt; 1140"><!-- 1075 -->
      <xsl:value-of select="1140 - ($iImageWidth * $iCols + 44)"/><!-- 1075 -->
    </xsl:when>
    <xsl:otherwise>1</xsl:otherwise>
  </xsl:choose>
</xsl:variable>

<xsl:template match="/">

<xsl:variable name="currentIndex" select="//index[@current='true']/@currentIndex"/>
<xsl:variable name="lastIndex" select="//index[@current='true']/@lastIndex"/>
<xsl:variable name="nbCols" select="//@cols"/>
<xsl:variable name="nbLines" select="ceiling(count(library/movies/movie) div $nbCols)"/>

<xsl:choose>
	<xsl:when test="$mjb.nbTvThumbnailsPerPage='8' and $MediaType='tv'">
		<xsl:call-template name="index-tv"/>
	</xsl:when>
	<xsl:otherwise>

<xsl:value-of select="'&lt;'" disable-output-escaping="yes"/>!-- Skin Version <xsl:value-of select="$version"/> --<xsl:value-of select="'&gt;'" disable-output-escaping="yes"/>
<html>
<head>

<link rel="StyleSheet" type="text/css" href="theme.css"></link>
<link rel="StyleSheet" type="text/css" href="no_nmt.css" media="screen"></link>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
<title><xsl:value-of select="$l0001"/></title>
<!-- important -->
<style>
<xsl:comment>
	.showMenu {visibility:hidden;}

  <xsl:for-each select="/library/movies/movie">
    #img<xsl:value-of select="position()" /> {visibility:hidden;}
    #overlay<xsl:value-of select="position()" /> {visibility:hidden;}
  </xsl:for-each>

  <xsl:for-each select="/library/movies/movie">
    <xsl:if test="position() &lt;= $iLines">
    .line<xsl:value-of select="position()" /> { top: <xsl:value-of select="(position() -1) * $iImageHeight +114" />px; }<!--+32-->
    </xsl:if>
  </xsl:for-each>

  <xsl:for-each select="/library/movies/movie">
    <xsl:if test="position() &lt;= $iCols">
    .col<xsl:value-of select="position()" /> { left: <xsl:value-of select="(position() -1) * $iImageWidth + $iMarginLeft" />px; }
    </xsl:if><!-- (6-1) * 107 + 65 -->
  </xsl:for-each>

  <xsl:for-each select="/library/movies/movie">
    <xsl:if test="position() &lt;= $iLines">
    .imgLine<xsl:value-of select="position()" /> { top: <xsl:value-of select="(position() -1) * $iImageHeight +12" />px; }
    .overlayLine<xsl:value-of select="position()" /> { top: <xsl:value-of select="(position() -1) * $iImageHeight +1" />px; }
    </xsl:if>
  </xsl:for-each>

  <xsl:for-each select="/library/movies/movie">
    <xsl:if test="position() &lt;= $iCols">
    .imgCol<xsl:value-of select="position()" /> { left: <xsl:value-of select="(position() -1) * $iImageWidth + $iMarginLeft - 13" />px; }
    .overlayCol<xsl:value-of select="position()" /> { left: <xsl:value-of select="(position() -1) * $iImageWidth + $iMarginLeft - 23" />px; }
    </xsl:if>
  </xsl:for-each>

  <xsl:call-template name="genMenuStyles.loop">
    <xsl:with-param name="i">1</xsl:with-param>
    <xsl:with-param name="count">9</xsl:with-param>
  </xsl:call-template>

	.pages {top: 564px; left: 990px;margin-left:92px;margin-top:38px;}
	.uparrow {top: 40px; left: 717px;margin-left:92px;margin-top:38px;}
	.downarrow {top: 564px; left: 717px;margin-left:92px;margin-top:38px;}
	.category { left: 360px;  }
	.genre { left: 534px;  }
	.mnuBack { left: 0px; top: 1px; }
	.mnuBackTop { left: 361px; top: 126px; }
	.mnuBackBot { left: 361px; top: 301px; }
	.hidden {visibility:hidden;}
	.visible {visibility:visible;}
	.abs{position: absolute;}
	.mnuItem{ width: 150px; height: 30px; font-size: 20px;}
	.menuImage{ background: url(pictures/menu/menu_active.png);}
	.menuLink { font-size: 25px; text-decoration: none; }
	.menuLinkActive { font-size: 25px; text-decoration: none; }
	a {text-decoration: none; }
	.bold { font-weight : bold; }
	.header { font-size: 27pt; font-weight : bold; }
	.paneltitle { font-size: 25pt; }
	.info { font-size: 15pt; }
	body {font-family: Arial;margin-left:92px;margin-top:38px}

</xsl:comment>
</style>

<script type="text/javascript">
<xsl:comment>
  var asCatNames = new Array();
  var asFilters = new Object();
  var asFilterNames = new Object();
  
  <xsl:for-each select="library/category[not(@name = 'Library') and not(@name = 'Set')]">
  	<xsl:if test="count(index) > 0">
	    <xsl:variable name="catName">
			<xsl:if test="@name='Other'"><xsl:value-of select="$l0006"/></xsl:if>
			<xsl:if test="@name='Genres'"><xsl:value-of select="$l0007"/></xsl:if>
			<xsl:if test="@name='Title'"><xsl:value-of select="$l0008"/></xsl:if>
			<xsl:if test="@name='Rating'"><xsl:value-of select="$l0009"/></xsl:if>
			<xsl:if test="@name='Year'"><xsl:value-of select="$l0010"/></xsl:if>
			<xsl:if test="@name='Library'"><xsl:value-of select="$l0011"/></xsl:if>
			<xsl:if test="@name='Cast'"><xsl:value-of select="$l0012"/></xsl:if>
			<xsl:if test="@name='Director'"><xsl:value-of select="$l0013"/></xsl:if>
			<xsl:if test="@name='Writer'"><xsl:value-of select="$l0014"/></xsl:if>
			<xsl:if test="@name='Country'"><xsl:value-of select="$l0015"/></xsl:if>
			<xsl:if test="@name='Set'"><xsl:value-of select="$l0005"/></xsl:if>
		</xsl:variable>
	    asCatNames.push("<xsl:value-of select="$catName" />");
	    asFilters['<xsl:value-of select="$catName" />'] = new Array();
	    asFilterNames['<xsl:value-of select="$catName" />']  = new Array();
	    <xsl:for-each select="index">
	      asFilters['<xsl:value-of select="$catName" />'].push("<xsl:value-of select="." />");
	      asFilterNames['<xsl:value-of select="$catName" />'].push("<xsl:value-of select="@name" />");
	    </xsl:for-each>
    </xsl:if>
  </xsl:for-each>
  
  var aiCatLength = new Object();
  var iCats = asCatNames.length;
  for (var t=0; t <![CDATA[<]]> iCats; t++)
  {
    aiCatLength[asCatNames[t]] = asFilters[asCatNames[t]].length;
  }

</xsl:comment>
</script>
 <!-- /important -->
<script type="text/javascript">
<xsl:comment>
var asTitles=[
  	<xsl:for-each select="library/movies/movie">
      "<xsl:call-template name="search-and-replace">
  			<xsl:with-param name="input">

			<xsl:choose>
				<xsl:when test="//category[@current='true']/@name='Set' and //movies/movie/season != -1">
					<xsl:if test="season > 0">
						<xsl:value-of select="translate($l0003,$lcletters,$ucletters)"/>
						<xsl:text> </xsl:text>
						<xsl:value-of select="season"/>
					</xsl:if>
					<xsl:if test="season = 0">
						<xsl:value-of select="translate($l0004,$lcletters,$ucletters)"/>
					</xsl:if>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="season = -1">
						<xsl:choose>
							<xsl:when test="string-length(title)&lt;31">
								<xsl:value-of select="translate(title,$lcletters,$ucletters)"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="substring(translate(title,$lcletters,$ucletters),1,27)"/><xsl:text>...</xsl:text>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:if>
					<xsl:if test="season != -1">
						<xsl:choose>
							<xsl:when test="string-length(title)&lt;21">
								<xsl:value-of select="translate(title,$lcletters,$ucletters)"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="substring(translate(title,$lcletters,$ucletters),1,17)"/><xsl:text>...</xsl:text>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:if test="season > 0">
							<xsl:text> </xsl:text>
							<xsl:value-of select="translate($l0003,$lcletters,$ucletters)"/>
							<xsl:text> </xsl:text>
							<xsl:value-of select="season"/>
						</xsl:if>
						<xsl:if test="season = 0">
							<xsl:text> </xsl:text>
							<xsl:value-of select="translate($l0004,$lcletters,$ucletters)"/>
						</xsl:if>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>

  			</xsl:with-param>
  			<xsl:with-param name="search-string">"</xsl:with-param>
  			<xsl:with-param name="replace-string">\"</xsl:with-param>
  		</xsl:call-template>"<xsl:if test="position() != last()">,</xsl:if>
    </xsl:for-each>
  	];
</xsl:comment>
</script>
<!-- reverse for sratim? -->
<script type="text/javascript">
<xsl:comment>
var asPlots=[
  	<xsl:for-each select="library/movies/movie">
      "<xsl:call-template name="search-and-replace">
			<xsl:with-param name="input">

<xsl:variable name="synopsis">
	<xsl:if test="plot!='UNKNOWN'"><xsl:value-of select="plot"/></xsl:if>
	<xsl:if test="plot='UNKNOWN'"><xsl:value-of select="outline"/></xsl:if>
</xsl:variable>

			<xsl:choose>
				<xsl:when test="//category[@current='true']/@name='Set' and //movies/movie/season != -1"></xsl:when>
				<xsl:when test="@isSet='true' and @isTV='false'"></xsl:when>
				<xsl:when test="$synopsis='UNKNOWN'"></xsl:when>
				<xsl:otherwise>
					<xsl:if test="$mjb.internet.plugin!='com.moviejukebox.plugin.SratimPlugin'">
						<xsl:choose>
							<xsl:when test="string-length($synopsis)&lt;625">
								<xsl:value-of select="$synopsis"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="substring($synopsis,1,621)"/><xsl:text>...</xsl:text>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:if>
					<xsl:if test="$mjb.internet.plugin='com.moviejukebox.plugin.SratimPlugin'">
						<xsl:choose>
							<xsl:when test="string-length($synopsis)&lt;625">
								<xsl:value-of disable-output-escaping="yes" select='translate($synopsis,"{}","&lt;&gt;")'/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of disable-output-escaping="yes" select='translate(substring($synopsis,1,621),"{}","&lt;&gt;")'/><xsl:text>...</xsl:text>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>

			</xsl:with-param>
			<xsl:with-param name="search-string">"</xsl:with-param>
  			<xsl:with-param name="replace-string">\"</xsl:with-param>
  		</xsl:call-template>"<xsl:if test="position() != last()">,</xsl:if>
    </xsl:for-each>
  	];
</xsl:comment>
</script>
<!-- does sratim have unique season plots? -->
<script type="text/javascript"><!-- for genres -->
<xsl:comment>
var asTitle=[
  	<xsl:for-each select="library/movies/movie">
      "<xsl:call-template name="search-and-replace">
  			<xsl:with-param name="input">

			<xsl:if test="count(genres) != 0">
				<xsl:for-each select="genres/genre[position() &lt;= 2]">
					<xsl:if test="position()!= 1"> / </xsl:if>
					<xsl:value-of select="."/>
				</xsl:for-each>
			</xsl:if>

  			</xsl:with-param>
  			<xsl:with-param name="search-string">"</xsl:with-param>
  			<xsl:with-param name="replace-string">\"</xsl:with-param>
  		</xsl:call-template>"<xsl:if test="position() != last()">,</xsl:if>
    </xsl:for-each>
  	];
</xsl:comment>
</script>

<!-- important -->
<script type="text/javascript">
<xsl:comment>

  var title = 1;
  var titleTop = 1;
  var plot = 1;
  var play = false;


  var fMenu = false;
  var iActiveItem = 1;
  var fInit = false;

  var sActiveCat = '<xsl:value-of select="$l0006"/>';
  var iActiveCat = 0;
  var iMaxCats = 9;
  var iMaxGenres = 9;
  var iLinkMinCat = 5;
  var iLinkMinGen = 5;
  var iActiveGen = 0;
  var iGenres = 0;
  
  var fShowImdbRating = true;

  </xsl:comment>
</script>

<script type='text/javascript'>
function show(x, jsp)
{
  if ( title == 1 )
  {
    document.getElementById('titleTop').firstChild.nodeValue = asTitles[x-1];
    document.getElementById('plot').firstChild.nodeValue = asPlots[x-1];
    document.getElementById('title').firstChild.nodeValue = asTitle[x-1];
  }

  if (play == false)
    play = document.getElementById('play');

  play.setAttribute('href', jsp);

	<xsl:if test="$ParentalControl='true'">
		play.setAttribute('tvid', '<xsl:value-of select="$ParentalPlayFromPanel"/>');
	</xsl:if>
	<xsl:if test="$ParentalControl='false'">
		play.setAttribute('tvid', 'PLAY');
	</xsl:if>
	
  showOverlay(x);

  iActiveItem = x;
}
</script>
<script type='text/javascript' src='ppp_index.js'>&#160;</script>


<xsl:if test="$ParentalControl='true'">
<script>
var ratingsys= new Array();

ratingsys['G']=1;
ratingsys['PG']=10;
ratingsys['PG-13']=13;
ratingsys['R']=18;
ratingsys['NC-17']=17;
ratingsys['Not Rated']=18;

ratingsys['TV-Y']=1;
ratingsys['TV-Y7']=8;
ratingsys['TV-G']=10;
ratingsys['TV-PG']=13;
ratingsys['TV-14']=15;
ratingsys['TV-MA']=16;

ratingsys['U']=1;
ratingsys['PG']=10;
ratingsys['12']=12;
ratingsys['12A']=13;
ratingsys['15']=15;
ratingsys['18']=18;
ratingsys['R18']=99;

ratingsys['X']=99;
ratingsys['XX']=99;
ratingsys['XXX']=99;

var ratingnow=0;
</script> 
<script type="text/javascript">

function prompter(y) 
{
ratingnow=ratingsys[y];

<xsl:choose>
<xsl:when test="$NumberOfChildren > 1">

if (ratingnow<xsl:value-of select="'&gt;'" disable-output-escaping="yes"/>=<xsl:value-of select="$YoungestChildsAge"/>)
{
	if (ratingnow<xsl:value-of select="'&gt;'" disable-output-escaping="yes"/>=<xsl:value-of select="$OldestChildsAge"/>)
		{		
			var reply = prompt("<xsl:value-of select="$l0021"/>", "")

				if (reply=="<xsl:value-of select="$MasterPassword"/>")
					{
						return
					}
				else 
					{
						alert ( "<xsl:value-of select="$l0022"/>")
						return false
					}
		}
	<xsl:if test="$NumberOfChildren=3">
	else if (ratingnow<xsl:value-of select="'&gt;'" disable-output-escaping="yes"/>=<xsl:value-of select="$MiddleChildsAge"/>)
		{		
			var reply = prompt("<xsl:value-of select="$l0021"/>", "")

				if (reply=="<xsl:value-of select="$OldestChildsPassword"/>" || reply=="<xsl:value-of select="$MasterPassword"/>")
					{
						return
					}
				else 
					{
						alert ( "<xsl:value-of select="$l0022"/>")
						return false
					}
		}
	</xsl:if>

	else
		{		
			var reply = prompt("<xsl:value-of select="$l0021"/>", "")

				if (reply=="<xsl:value-of select="$MiddleChildsPassword"/>" || reply=="<xsl:value-of select="$OldestChildsPassword"/>" || reply=="<xsl:value-of select="$MasterPassword"/>")
					{
						return
					}
				else 
					{
						alert ( "<xsl:value-of select="$l0022"/>")
						return false
					}
		}
}
</xsl:when>
<xsl:otherwise>
if (ratingnow<xsl:value-of select="'&gt;'" disable-output-escaping="yes"/>=<xsl:value-of select="$YoungestChildsAge"/>)
{
	var reply = prompt("<xsl:value-of select="$l0021"/>", "")

				if (reply=="<xsl:value-of select="$MasterPassword"/>")
					{
						return
					}
				else 
					{
						alert ( "<xsl:value-of select="$l0022"/>")
						return false
					}
		}

</xsl:otherwise>
</xsl:choose>
else
{
return
}


}
</script>
</xsl:if>
</head>

<body id="backgroundcolor" focuscolor="transparent" onload="init();" onloadset="n1" background="pictures/diffuse_background.png">

<table border="0" cellpadding="0" cellspacing="0">
	<tr>
		<td valign="top" height="78" colspan="3" class="text header">
			<xsl:if test="$mjb.internet.plugin!='com.moviejukebox.plugin.SratimPlugin'">
				<xsl:attribute name="align">left</xsl:attribute>
					<xsl:if test="contains(//category[@current='true']/@name,'Set')">
						<xsl:value-of select="translate($l0001,$lcletters,$ucletters)"/>
						<xsl:text>:</xsl:text>
						<xsl:value-of select="translate($l0005,$lcletters,$ucletters)"/>
						<xsl:text>:</xsl:text>
						<xsl:value-of select="translate(//category[@current='true']/index[@current='true']/@name,$lcletters,$ucletters)"/>
					</xsl:if>
					<xsl:if test="not(contains(//category[@current='true']/@name,'Set'))">
						<xsl:value-of select="translate($MovieOrTV,$lcletters,$ucletters)"/>
						<xsl:if test="$MediaType!='movie' and not(contains(//index[@current='true']/@next,'All'))">
							<xsl:text>:</xsl:text>
							<xsl:value-of select="translate(//category[@current='true']/index[@current='true']/@name,$lcletters,$ucletters)"/>
						</xsl:if>
					</xsl:if>
			</xsl:if>
			<xsl:if test="$mjb.internet.plugin='com.moviejukebox.plugin.SratimPlugin'">
				<xsl:attribute name="align">right</xsl:attribute>
					<xsl:if test="contains(//category[@current='true']/@name,'Set')">
						<xsl:value-of select="translate(//category[@current='true']/index[@current='true']/@name,$lcletters,$ucletters)"/>
						<xsl:text>:</xsl:text>
						<xsl:value-of select="translate($l0005,$lcletters,$ucletters)"/>
						<xsl:text>:</xsl:text>
						<xsl:value-of select="translate($l0001,$lcletters,$ucletters)"/>
					</xsl:if>
					<xsl:if test="not(contains(//category[@current='true']/@name,'Set'))">
						<xsl:if test="$MediaType!='movie' and not(contains(//index[@current='true']/@next,'All'))">
							<xsl:value-of select="translate(//category[@current='true']/index[@current='true']/@name,$lcletters,$ucletters)"/>
							<xsl:text>:</xsl:text>
						</xsl:if>
						<xsl:value-of select="translate($MovieOrTV,$lcletters,$ucletters)"/>
					</xsl:if>
			</xsl:if>
		</td>
	</tr>
	<tr>
		<td width="409" valign="top"><!--454--><!--1096 total-->
			<table border="0" cellpadding="0" cellspacing="0" width="364"><!--409--><!-- -45 -->
				<tr>
					<td id="titleTop" height="87" valign="top" class="text paneltitle">
						<xsl:if test="$mjb.internet.plugin='com.moviejukebox.plugin.SratimPlugin'">
							<xsl:attribute name="align">right</xsl:attribute>
						</xsl:if>
						&#160;
					</td>
				</tr>
				<tr>
					<td id="plot" class="text info">
						<xsl:if test="$mjb.internet.plugin='com.moviejukebox.plugin.SratimPlugin'">
							<xsl:attribute name="align">right</xsl:attribute>
						</xsl:if>
						&#160;
					</td>
				</tr>
				<tr><td id="title" class="text info" height="40" valign="bottom">&#160;</td></tr>
			</table>
		</td>
		<td valign="top" width="642">

			<table border="0" cellpadding="0" cellspacing="0"><!--width=642, height=474-->
				<xsl:for-each select="library/movies/movie[position() mod $nbCols = 1]">
					<tr>
						<xsl:apply-templates select=".|following-sibling::movie[position() &lt; $nbCols]">
							<xsl:with-param name="gap" select="(position() - 1) * $nbCols" />
							<xsl:with-param name="currentIndex" select="$currentIndex" />
							<xsl:with-param name="lastIndex" select="$lastIndex" />
							<xsl:with-param name="lastGap" select="($nbLines - 1) * $nbCols" />
						</xsl:apply-templates>
					</tr>
				</xsl:for-each>
			</table>

		</td>
		<td width="45" align="right" valign="top">
			<table border="0" cellpadding="0" cellspacing="0">
				<tr><td><img src="pictures/scrollbar/scrollbartop.png"/></td></tr>
				<tr>
					<td background="pictures/scrollbar/scrollbarmid.png" height="450" valign="top">
						<table border="0" cellpadding="0" cellspacing="0">
							<tr>
								<td valign="bottom">
									<xsl:attribute name="height">
										<xsl:value-of select="$ScrollbarHeight"/>
									</xsl:attribute><!-- 0-428 -->
									<a>
										<xsl:attribute name="href">#</xsl:attribute>
										<xsl:attribute name="onkeyupset">pgupload</xsl:attribute>
										<xsl:attribute name="onkeydownset">pgdnload</xsl:attribute>
										<xsl:if test="$ScrollbarHeight &lt;= 157">
											<xsl:attribute name="onkeyrightset">n1</xsl:attribute>
										</xsl:if>
										<xsl:if test="$ScrollbarHeight &gt;= 158 and $ScrollbarHeight &lt;= 315">
											<xsl:attribute name="onkeyrightset">n7</xsl:attribute>
										</xsl:if>
										<xsl:if test="$ScrollbarHeight &gt;= 316">
											<xsl:attribute name="onkeyrightset">n13</xsl:attribute>
										</xsl:if>
										<img src="pictures/scrollbar/scrollbar-off.png" onfocussrc="pictures/scrollbar/scrollbar-on.png"/>
									</a>
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr><td><img src="pictures/scrollbar/scrollbarbot.png"/></td></tr>
			</table>
		</td>
	</tr>
</table>

<xsl:call-template name="LinksAndFilter"/>

<div class="abs uparrow">
	<a name="pgupload" tvid="pgup" onfocusload=""><xsl:attribute name="href"><xsl:value-of select="library/category[@current='true']/index[@current='true']/@previous"/>.html</xsl:attribute>
		<img src="pictures/panel/uparrow.png"/>
	</a>
</div>
<div class="abs downarrow">
	<a name="pgdnload" tvid="pgdn" onfocusload=""><xsl:attribute name="href"><xsl:value-of select="library/category[@current='true']/index[@current='true']/@next"/>.html</xsl:attribute>
	<img src="pictures/panel/downarrow.png"/>
	</a>
</div>

</body>
</html>

	</xsl:otherwise>
</xsl:choose>

</xsl:template>

<xsl:template name="LinksAndFilter"><!-- Universal to index.xsl and index-tv.xsl -->
<div class="abs hidden">
<xsl:for-each select="library/category[@name='Title']/index">
  <xsl:choose>
    <xsl:when test="@name = '09'"><a href="Title_09_1.html" tvid="1" /></xsl:when>
    <xsl:when test="@name = 'A'"><a href="Title_A_1.html" tvid="2" /></xsl:when>
    <xsl:when test="@name = 'B'"><a href="Title_B_1.html" tvid="22" /></xsl:when>
    <xsl:when test="@name = 'C'"><a href="Title_C_1.html" tvid="222" /></xsl:when>
    <xsl:when test="@name = 'D'"><a href="Title_D_1.html" tvid="3" /></xsl:when>
    <xsl:when test="@name = 'E'"><a href="Title_E_1.html" tvid="33" /></xsl:when>
    <xsl:when test="@name = 'F'"><a href="Title_F_1.html" tvid="333" /></xsl:when>
    <xsl:when test="@name = 'G'"><a href="Title_G_1.html" tvid="4" /></xsl:when>
    <xsl:when test="@name = 'H'"><a href="Title_H_1.html" tvid="44" /></xsl:when>
    <xsl:when test="@name = 'I'"><a href="Title_I_1.html" tvid="444" /></xsl:when>
    <xsl:when test="@name = 'J'"><a href="Title_J_1.html" tvid="5" /></xsl:when>
    <xsl:when test="@name = 'K'"><a href="Title_K_1.html" tvid="55" /></xsl:when>
    <xsl:when test="@name = 'L'"><a href="Title_L_1.html" tvid="555" /></xsl:when>
    <xsl:when test="@name = 'M'"><a href="Title_M_1.html" tvid="6" /></xsl:when>
    <xsl:when test="@name = 'N'"><a href="Title_N_1.html" tvid="66" /></xsl:when>
    <xsl:when test="@name = 'O'"><a href="Title_O_1.html" tvid="666" /></xsl:when>
    <xsl:when test="@name = 'P'"><a href="Title_P_1.html" tvid="7" /></xsl:when>
    <xsl:when test="@name = 'Q'"><a href="Title_Q_1.html" tvid="77" /></xsl:when>
    <xsl:when test="@name = 'R'"><a href="Title_R_1.html" tvid="777" /></xsl:when>
    <xsl:when test="@name = 'S'"><a href="Title_S_1.html" tvid="7777" /></xsl:when>
    <xsl:when test="@name = 'T'"><a href="Title_T_1.html" tvid="8" /></xsl:when>
    <xsl:when test="@name = 'U'"><a href="Title_U_1.html" tvid="88" /></xsl:when>
    <xsl:when test="@name = 'V'"><a href="Title_V_1.html" tvid="888" /></xsl:when>
    <xsl:when test="@name = 'W'"><a href="Title_W_1.html" tvid="9" /></xsl:when>
    <xsl:when test="@name = 'X'"><a href="Title_X_1.html" tvid="99" /></xsl:when>
    <xsl:when test="@name = 'Y'"><a href="Title_Y_1.html" tvid="999" /></xsl:when>
    <xsl:when test="@name = 'Z'"><a href="Title_Z_1.html" tvid="9999" /></xsl:when>
    <xsl:otherwise><a href="blank" tvid="blank" /></xsl:otherwise>
  </xsl:choose>
</xsl:for-each>

<xsl:for-each select="library/category[@name='Other']/index">
  <xsl:choose>
    <xsl:when test="@name = 'All'"><a href="Other_All_1.html" tvid="255" /></xsl:when>
    <xsl:when test="@name = 'HD'"><a href="Other_HD_1.html" tvid="43" /></xsl:when>
    <xsl:when test="@name = 'TV Shows'"><a href="Other_TV Shows_1.html" tvid="887" /></xsl:when>
    <xsl:when test="@name = 'Movies'"><a href="Other_Movies_1.html" tvid="668" /></xsl:when>
    <xsl:when test="@name = 'Trailers'"><a href="Other_Trailers_1.html" tvid="872" /></xsl:when>
    <xsl:when test="@name = 'New'"><a href="Other_New_1.html" tvid="639" /></xsl:when>
    <xsl:when test="//index[@current='true']/@name = 'Top250'">
      <a href="Other_Top250_1.html" tvid="807" />
    </xsl:when>
    <xsl:otherwise><a href="blank" tvid="blank" /></xsl:otherwise>
  </xsl:choose>
</xsl:for-each>

<xsl:for-each select="library/category[@name='Genres']/index">
  <xsl:choose>
    <xsl:when test="@name = 'Action'"><a href="Genres_Action_1.html" tvid="228" /></xsl:when>
    <xsl:when test="@name = 'Animation'"><a href="Genres_Animation_1.html" tvid="264" /></xsl:when>
    <xsl:when test="@name = 'Comedy'"><a href="Genres_Comedy_1.html" tvid="266" /></xsl:when>
    <xsl:when test="@name = 'Documentary'"><a href="Genres_Documentary_1.html" tvid="362" /></xsl:when>
    <xsl:when test="@name = 'Drama'"><a href="Genres_Drama_1.html" tvid="372" /></xsl:when>
    <xsl:when test="@name = 'Fantasy'"><a href="Genres_Fantasy_1.html" tvid="326" /></xsl:when>
    <xsl:when test="@name = 'Other'"><a href="Genres_Other_1.html" tvid="684" /></xsl:when>
    <xsl:when test="@name = 'Sci-Fi'"><a href="Genres_Sci-Fi_1.html" tvid="724" /></xsl:when>
    <xsl:when test="@name = 'Thriller'"><a href="Genres_Thriller_1.html" tvid="847" /></xsl:when>
    <xsl:when test="@name = 'Reality'"><a href="Genres_Reality_1.html" tvid="732" /></xsl:when>
    <xsl:when test="@name = 'Horror'"><a href="Genres_Horror_1.html" tvid="467" /></xsl:when>
    <xsl:when test="@name = 'Family'"><a href="Genres_Family_1.html" tvid="3264" /></xsl:when>
    <xsl:when test="@name = 'Music'"><a href="Genres_Music_1.html" tvid="687" /></xsl:when>
    <xsl:otherwise><a href="blank" tvid="blank" /></xsl:otherwise>
  </xsl:choose>
</xsl:for-each>

	<xsl:if test="$currentIndexPage != $currentHomePage">
		<a>
			<xsl:attribute name="TVID">HOME</xsl:attribute>
			<xsl:attribute name="href"><xsl:value-of select="$homePage"/></xsl:attribute>
		</a>
	</xsl:if>
	<xsl:if test="$currentIndexPage = $currentHomePage">
		<a>
			<xsl:attribute name="TVID">HOME</xsl:attribute>
			<xsl:attribute name="href"><xsl:value-of select="$custom5150.exitviamenu"/></xsl:attribute>
		</a>
	</xsl:if>

<xsl:call-template name="shortcuts"/>

<a TVID="tab" name="showMenu" onfocusset="catLink5" href="#" onclick="toggleMenu()"></a>

<a name="catLinkUp" onfocusset="catLink5" onfocus="catUp();" onfocusload=""><xsl:attribute name="href">#</xsl:attribute></a>
<a name="catLinkDown" onfocusset="catLink5" onfocus="catDown();" onfocusload=""><xsl:attribute name="href">#</xsl:attribute></a>
<a name="genLinkUp" onfocusset="genLink5" onfocus="genUp();" onfocusload=""><xsl:attribute name="href">#</xsl:attribute></a>
<a name="genLinkDown" onfocusset="genLink5" onfocus="genDown();" onfocusload=""><xsl:attribute name="href">#</xsl:attribute></a>

<a name="firstIndex" onfocusload=""><xsl:attribute name="href"><xsl:value-of select="//index[@current='true']/@first" />.html</xsl:attribute></a>
<a name="lastIndex" onfocusload=""><xsl:attribute name="href"><xsl:value-of select="//index[@current='true']/@last" />.html</xsl:attribute></a>

<a>
	<xsl:attribute name="href"></xsl:attribute>
	<xsl:attribute name="tvid">#</xsl:attribute>
	<xsl:attribute name="id">play</xsl:attribute>
	<xsl:attribute name="vod">playlist</xsl:attribute>
</a>
</div>

<div class="abs text info pages"><xsl:value-of select="$currentIndex" /> / <xsl:value-of select="$lastIndex" /></div>

<img id="menu" class="abs mnuBack showMenu" src="pictures/menu/menu.png" />

<xsl:call-template name="genDivs.loop">
  <xsl:with-param name="i">1</xsl:with-param>
  <xsl:with-param name="count">9</xsl:with-param>
  <xsl:with-param name="sType">category</xsl:with-param>
</xsl:call-template>

<xsl:call-template name="genDivs.loop">
  <xsl:with-param name="i">1</xsl:with-param>
  <xsl:with-param name="count">9</xsl:with-param>
  <xsl:with-param name="sType">genre</xsl:with-param>
</xsl:call-template>

<img class="abs mnuBackTop showMenu" src="pictures/menu/mnu_top.png" />
<img class="abs mnuBackBot showMenu" src="pictures/menu/mnu_bottom.png" />

<div id="noNMT">
  <a class="pageUp"><xsl:attribute name="href"><xsl:value-of select="//index[@current='true']/@previous" />.html</xsl:attribute>previous page</a>
  <a class="pageDown"><xsl:attribute name="href"><xsl:value-of select="//index[@current='true']/@next" />.html</xsl:attribute> next page</a>
  <br />
  <a><xsl:attribute name="href"><xsl:value-of select="//index[@current='true']/@first" />.html</xsl:attribute>first page</a>
  <a><xsl:attribute name="href"><xsl:value-of select="//index[@current='true']/@last" />.html</xsl:attribute>last page</a>
  <br />
  <a href="#" onclick="toggleMenu(); toggleMenuLinks(); return false;">menu</a>
  <div id="menuLinks">
    <table id="menuLinkTbl" border="0" cellpadding="0" cellspacing="0">
    	<tr>
    		<td class="leftTd"><a href="#" onclick="catUp(); return false;">Up</a></td>
    		<td><a href="#" onclick="genUp(); return false;">Up</a></td>
    	</tr>
    	<tr>
    		<td class="leftTd"><a href="#" onclick="catDown(); return false;">Down</a></td>
    		<td><a href="#" onclick="genDown(); return false;">Down</a></td>
    	</tr>
    	<tr>
    		<td class="leftTd">&#160;</td>
    		<td class="selectLink"><a href="#" onclick="changePage('genLink5'); return false;">Select</a></td>
    	</tr>
    </table>
  </div>
</div>
</xsl:template>


<xsl:template match="movie">
	<xsl:param name="gap" />
	<xsl:param name="currentIndex" />
	<xsl:param name="lastIndex" />
	<xsl:param name="lastGap" />

<td>
	<xsl:attribute name="background"><xsl:value-of select="thumbnail"/></xsl:attribute>
	<a>
		<xsl:attribute name="onclick">return prompter('<xsl:value-of select="certification"/>')</xsl:attribute>
		<xsl:attribute name="href"><xsl:value-of select="details"/></xsl:attribute>
		<xsl:attribute name="name">n<xsl:value-of select="position()+$gap"/></xsl:attribute>
		<xsl:attribute name="id">l<xsl:value-of select="position()+$gap"/></xsl:attribute>
		<xsl:attribute name="onfocus">show(<xsl:value-of select="position()+$gap"/>, '<xsl:call-template name="search-and-replace"><xsl:with-param name="input" select="baseFilename"/><xsl:with-param name="search-string">'</xsl:with-param><xsl:with-param name="replace-string">\'</xsl:with-param></xsl:call-template>.playlist.jsp')</xsl:attribute>

		<xsl:if test="$lastIndex != 0">
			<xsl:if test="$gap=0 and $currentIndex != 0">
				<xsl:attribute name="onkeyupset">pgupload</xsl:attribute><!--pgup-->
			</xsl:if>
			<xsl:if test="position()+$gap = 1"><xsl:attribute name="onkeyleftset">n6</xsl:attribute></xsl:if>
			<xsl:if test="position()+$gap = 7"><xsl:attribute name="onkeyleftset">n12</xsl:attribute></xsl:if>
			<xsl:if test="position()+$gap = 13"><xsl:attribute name="onkeyleftset">n18</xsl:attribute></xsl:if>
			<!--right from right column goes to scrollbar
			<xsl:if test="position()+$gap = 6"><xsl:attribute name="onkeyrightset">n1</xsl:attribute></xsl:if>
			<xsl:if test="position()+$gap = 12"><xsl:attribute name="onkeyrightset">n7</xsl:attribute></xsl:if>
			<xsl:if test="position()+$gap = 18"><xsl:attribute name="onkeyrightset">n13</xsl:attribute></xsl:if>
			-->
			<xsl:if test="$gap=$lastGap and $currentIndex != $lastIndex">
				<xsl:attribute name="onkeydownset">pgdnload</xsl:attribute>
			</xsl:if>
		</xsl:if>

		<img width="107" height="158" src="pictures/panel/diffuse.png"><!-- thumbnail overlay -->
			<xsl:attribute name="onmouseover">show(<xsl:value-of select="position()+$gap"/>, '<xsl:call-template name="search-and-replace"><xsl:with-param name="input" select="baseFilename"/><xsl:with-param name="search-string">'</xsl:with-param><xsl:with-param name="replace-string">\'</xsl:with-param></xsl:call-template>.playlist.jsp')</xsl:attribute>
			<xsl:attribute name="onmouseout">hide(<xsl:value-of select="position()+$gap"/>)</xsl:attribute>
			<xsl:attribute name="onfocus">show(<xsl:value-of select="position()+$gap"/>, '<xsl:call-template name="search-and-replace"><xsl:with-param name="input" select="baseFilename"/><xsl:with-param name="search-string">'</xsl:with-param><xsl:with-param name="replace-string">\'</xsl:with-param></xsl:call-template>.playlist.jsp')</xsl:attribute>
			<xsl:attribute name="onblur">hide(<xsl:value-of select="position()+$gap"/>)</xsl:attribute>
			<xsl:attribute name="onfocussrc"><xsl:value-of select="thumbnail"/></xsl:attribute>
			<xsl:attribute name="id">i<xsl:value-of select="position()+$gap"/></xsl:attribute>
		</img>
	</a>
	
	<a href="#">
		<xsl:attribute name="id">x<xsl:value-of select="position()+$gap"/></xsl:attribute>
		<xsl:attribute name="onfocusset">n<xsl:value-of select="position()+$gap"/></xsl:attribute>
		<xsl:attribute name="onclick">setFocus('l<xsl:value-of select="position()+$gap"/>');show(<xsl:value-of select="position()+$gap"/>, '<xsl:call-template name="search-and-replace"><xsl:with-param name="input" select="baseFilename"/><xsl:with-param name="search-string">'</xsl:with-param><xsl:with-param name="replace-string">\'</xsl:with-param></xsl:call-template>.playlist.jsp'); return false;</xsl:attribute>
		<xsl:attribute name="onfocus">setFocus('l<xsl:value-of select="position()+$gap"/>');show(<xsl:value-of select="position()+$gap"/>, '<xsl:call-template name="search-and-replace"><xsl:with-param name="input" select="baseFilename"/><xsl:with-param name="search-string">'</xsl:with-param><xsl:with-param name="replace-string">\'</xsl:with-param></xsl:call-template>.playlist.jsp'); return false;</xsl:attribute>
	</a>
</td>

</xsl:template>

<xsl:template name="search-and-replace">
	<xsl:param name="input" />
	<xsl:param name="search-string" />
	<xsl:param name="replace-string" />
	<xsl:choose>
		<xsl:when test="$search-string and contains($input, $search-string)">
			<xsl:value-of select="substring-before($input,$search-string)" />
			<xsl:value-of select="$replace-string" />
			<xsl:call-template name="search-and-replace">
				<xsl:with-param name="input" select="substring-after($input,$search-string)" />
				<xsl:with-param name="search-string" select="$search-string" />
				<xsl:with-param name="replace-string" select="$replace-string" />
			</xsl:call-template>
		</xsl:when>
		<xsl:otherwise><xsl:value-of select="$input" /></xsl:otherwise>
	</xsl:choose>
</xsl:template>


  <xsl:template name="genDivs.loop">
    <xsl:param name="i" />
    <xsl:param name="count" />
    <xsl:param name="sType" />

    <xsl:variable name="divId">
      <xsl:choose>
        <!-- letzte Seite, nicht letzte reihe -->
        <xsl:when test="$sType='category'">catDiv</xsl:when>
        <xsl:otherwise>genDiv</xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="divClass">
      <xsl:choose>
        <!-- letzte Seite, nicht letzte reihe -->
        <xsl:when test="$sType='category'">category</xsl:when>
        <xsl:otherwise>genre</xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="LinkId">
      <xsl:choose>
        <!-- letzte Seite, nicht letzte reihe -->
        <xsl:when test="$sType='category'">catLink</xsl:when>
        <xsl:otherwise>genLink</xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="SpanId">
      <xsl:choose>
        <!-- letzte Seite, nicht letzte reihe -->
        <xsl:when test="$sType='category'">catSpan</xsl:when>
        <xsl:otherwise>genSpan</xsl:otherwise>
      </xsl:choose>
    </xsl:variable>


    <xsl:if test="$i &lt;= $count">
      <div>
        <xsl:attribute name="class">abs <xsl:value-of select="$divClass" /> mnuItem mnuLine<xsl:value-of select="$i" /> showMenu</xsl:attribute>
        <xsl:attribute name="id"><xsl:value-of select="$divId" /><xsl:value-of select="$i" /></xsl:attribute>

        <xsl:choose>
          <xsl:when test="$i = 5">
            <a href="#">
            <xsl:attribute name="id"><xsl:value-of select="$LinkId" /><xsl:value-of select="$i" /></xsl:attribute>
            <xsl:attribute name="name"><xsl:value-of select="$LinkId" /><xsl:value-of select="$i" /></xsl:attribute>
            <xsl:attribute name="onkeydownset"><xsl:value-of select="$LinkId" />Down</xsl:attribute>
            <xsl:attribute name="onkeyupset"><xsl:value-of select="$LinkId" />Up</xsl:attribute>
            <xsl:choose>
              <xsl:when test="$sType = 'category'">
                <xsl:attribute name="onclick">setFocus('genLink5'); return false;</xsl:attribute>
                <xsl:attribute name="onkeyrightset">genLink5</xsl:attribute>
                <xsl:attribute name="onkeyleftset">genLink5</xsl:attribute>
              </xsl:when>
              <xsl:otherwise>
                <xsl:attribute name="onclick">changePage("<xsl:value-of select="$LinkId" /><xsl:value-of select="$i" />"); return false;</xsl:attribute>
                <xsl:attribute name="onkeyrightset">catLink5</xsl:attribute>
                <xsl:attribute name="onkeyleftset">catLink5</xsl:attribute>
              </xsl:otherwise>
            </xsl:choose>
            <img src="pictures/menu/menu_link.png" ONFOCUSSRC="pictures/menu/menu_active.png" class="menuImage" border="0" />
            </a>
            <span>
            <xsl:attribute name="id"><xsl:value-of select="$SpanId" /><xsl:value-of select="$i" /></xsl:attribute>
            <xsl:attribute name="class">menuLinkActive flagtext2</xsl:attribute>
            &#160;
            </span>
          </xsl:when>
          <xsl:otherwise>
            <span>
            <xsl:attribute name="id"><xsl:value-of select="$SpanId" /><xsl:value-of select="$i" /></xsl:attribute>
            <xsl:attribute name="class">menuLink text</xsl:attribute>
            &#160;
            </span>
          </xsl:otherwise>
        </xsl:choose>
      </div>
    </xsl:if>

    <xsl:if test="$i &lt;= $count">
      <xsl:call-template name="genDivs.loop">
          <xsl:with-param name="i">
              <xsl:value-of select="$i + 1"/>
          </xsl:with-param>
          <xsl:with-param name="count" select="$count" />
          <xsl:with-param name="sType" select="$sType" />
      </xsl:call-template>
    </xsl:if>

  </xsl:template>

  <xsl:template name="genMenuStyles.loop">
    <xsl:param name="i" />
    <xsl:param name="count" />

    <xsl:if test="$i &lt;= $count">
      .mnuLine<xsl:value-of select="$i" /> { top: <xsl:value-of select="($i -1) * 35 +135" />px; }
    </xsl:if>

    <xsl:if test="$i &lt;= $count">
      <xsl:call-template name="genMenuStyles.loop">
          <xsl:with-param name="i">
              <xsl:value-of select="$i + 1"/>
          </xsl:with-param>
          <xsl:with-param name="count" select="$count" />
      </xsl:call-template>
    </xsl:if>
  </xsl:template>



</xsl:stylesheet>
